/* Autogenerated, do not edit. Your changes will be undone. */
/*  RetroArch - A frontend for libretro.
 *  Copyright (C) 2011-2016 - Daniel De Matteis
 *
 *  RetroArch is free software: you can redistribute it and/or modify it under the terms
 *  of the GNU General Public License as published by the Free Software Found-
 *  ation, either version 3 of the License, or (at your option) any later version.
 *
 *  RetroArch is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *  PURPOSE.  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with RetroArch.
 *  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdint.h>
#include <string.h>

#include <compat/strl.h>
#include <string/stdstring.h>

#include "../menu_hash.h"
#include "../../configuration.h"

static const char *menu_hash_to_str_us_label(uint32_t hash)
{
   switch (hash)
   {
      case MENU_LABEL_HELP_SCANNING_CONTENT:
         return "help_scanning_content";
      case MENU_LABEL_HELP_AUDIO_VIDEO_TROUBLESHOOTING:
         return "help_audio_video_troubleshooting";
      case MENU_LABEL_HELP_CHANGE_VIRTUAL_GAMEPAD:
         return "help_change_virtual_gamepad";
      case MENU_LABEL_HELP_WHAT_IS_A_CORE:
         return "help_what_is_a_core";
      case MENU_LABEL_HELP_LOADING_CONTENT:
         return "help_loading_content";
      case MENU_LABEL_HELP_LIST:
         return "help_list";
      case MENU_LABEL_HELP_CONTROLS:
         return "help_controls";
      case MENU_LABEL_DEFERRED_ARCHIVE_OPEN_DETECT_CORE:
         return "deferred_archive_open_detect_core";
      case MENU_LABEL_DEFERRED_ARCHIVE_OPEN:
         return "deferred_archive_open";
      case MENU_LABEL_LOAD_ARCHIVE_DETECT_CORE:
         return "load_archive_detect_core";
      case MENU_LABEL_LOAD_ARCHIVE:
         return "load_archive";
      case MENU_LABEL_DEFERRED_ARCHIVE_ACTION_DETECT_CORE:
         return "deferred_archive_action_detect_core";
      case MENU_LABEL_DEFERRED_ARCHIVE_ACTION:
         return "deferred_archive_action";
      case MENU_LABEL_OPEN_ARCHIVE_DETECT_CORE:
         return "open_archive_detect_core";
      case MENU_LABEL_OPEN_ARCHIVE:
         return "open_archive";
      case MENU_LABEL_INPUT_BACK_AS_MENU_TOGGLE_ENABLE:
         return "back_as_menu_toggle_enable";
      case MENU_LABEL_INPUT_MENU_TOGGLE_GAMEPAD_COMBO:
         return "input_menu_toggle_gamepad_combo";
      case MENU_LABEL_INPUT_OVERLAY_HIDE_IN_MENU:
         return "overlay_hide_in_menu";
      case MENU_LABEL_NO_PLAYLIST_ENTRIES_AVAILABLE:
         return "no_playlist_entries_available";
      case MENU_LABEL_DOWNLOADED_FILE_DETECT_CORE_LIST:
         return "downloaded_file_detect_core_list";
      case MENU_LABEL_UPDATE_CORE_INFO_FILES:
         return "update_core_info_files";
      case MENU_LABEL_DEFERRED_CORE_CONTENT_LIST:
         return "deferred_core_content_list";
      case MENU_LABEL_DOWNLOAD_CORE_CONTENT:
         return "download_core_content";
      case MENU_LABEL_SCAN_THIS_DIRECTORY:
         return "scan_this_directory";
      case MENU_LABEL_SCAN_FILE:
         return "scan_file";
      case MENU_LABEL_SCAN_DIRECTORY:
         return "scan_directory";
      case MENU_LABEL_ADD_CONTENT_LIST:
         return "add_content";
      case MENU_LABEL_OVERLAY_AUTOLOAD_PREFERRED:
         return "overlay_autoload_preferred";
      case MENU_LABEL_INFORMATION_LIST:
         return "information_list";
      case MENU_LABEL_USE_BUILTIN_PLAYER:
         return "use_builtin_player";
      case MENU_LABEL_CONTENT_SETTINGS:
         return "quick_menu";
      case MENU_LABEL_LOAD_CONTENT_LIST:
         return "load_content";
      case MENU_LABEL_NO_SETTINGS_FOUND:
         return "menu_label_no_settings_found";
      case MENU_LABEL_SYSTEM_BGM_ENABLE:
         return "system_bgm_enable";
      case MENU_LABEL_AUDIO_BLOCK_FRAMES:
         return "audio_block_frames";
      case MENU_LABEL_AUTOCONFIG_DESCRIPTOR_LABEL_SHOW:
         return "autoconfig_descriptor_label_show";
      case MENU_LABEL_INPUT_DESCRIPTOR_LABEL_SHOW:
         return "input_descriptor_label_show";
      case MENU_LABEL_INPUT_DESCRIPTOR_HIDE_UNBOUND:
         return "input_descriptor_hide_unbound";
      case MENU_LABEL_VIDEO_FONT_ENABLE:
         return "video_font_enable";
      case MENU_LABEL_VIDEO_FONT_PATH:
         return "video_font_path";
      case MENU_LABEL_VIDEO_FONT_SIZE:
         return "video_font_size";
      case MENU_LABEL_VIDEO_MESSAGE_POS_X:
         return "video_message_pos_x";
      case MENU_LABEL_VIDEO_MESSAGE_POS_Y:
         return "video_message_pos_y";
      case MENU_LABEL_VIDEO_SOFT_FILTER:
         return "soft_filter";
      case MENU_LABEL_VIDEO_FILTER_FLICKER:
         return "video_filter_flicker";
      case MENU_LABEL_INPUT_REMAPPING_DIRECTORY:
         return "input_remapping_directory";
      case MENU_LABEL_JOYPAD_AUTOCONFIG_DIR:
         return "joypad_autoconfig_dir";
      case MENU_LABEL_RECORDING_CONFIG_DIRECTORY:
         return "recording_config_directory";
      case MENU_LABEL_RECORDING_OUTPUT_DIRECTORY:
         return "recording_output_directory";
      case MENU_LABEL_SCREENSHOT_DIRECTORY:
         return "screenshot_directory";
      case MENU_LABEL_PLAYLIST_DIRECTORY:
         return "playlist_directory";
      case MENU_LABEL_SAVEFILE_DIRECTORY:
         return "savefile_directory";
      case MENU_LABEL_SAVESTATE_DIRECTORY:
         return "savestate_directory";
      case MENU_LABEL_STDIN_CMD_ENABLE:
         return "stdin_commands";
      case MENU_LABEL_VIDEO_DRIVER:
         return "video_driver";
      case MENU_LABEL_RECORD_ENABLE:
         return "record_enable";
      case MENU_LABEL_VIDEO_GPU_RECORD:
         return "video_gpu_record";
      case MENU_LABEL_RECORD_PATH:
         return "record_path";
      case MENU_LABEL_RECORD_USE_OUTPUT_DIRECTORY:
         return "record_use_output_directory";
      case MENU_LABEL_RECORD_CONFIG:
         return "record_config";
      case MENU_LABEL_VIDEO_POST_FILTER_RECORD:
         return "video_post_filter_record";
      case MENU_LABEL_CORE_ASSETS_DIRECTORY:
         return "core_assets_directory";
      case MENU_LABEL_ASSETS_DIRECTORY:
         return "assets_directory";
      case MENU_LABEL_DYNAMIC_WALLPAPERS_DIRECTORY:
         return "dynamic_wallpapers_directory";
      case MENU_LABEL_BOXARTS_DIRECTORY:
         return "boxarts_directory";
      case MENU_LABEL_RGUI_BROWSER_DIRECTORY:
         return "rgui_browser_directory";
      case MENU_LABEL_RGUI_CONFIG_DIRECTORY:
         return "rgui_config_directory";
      case MENU_LABEL_LIBRETRO_INFO_PATH:
         return "libretro_info_path";
      case MENU_LABEL_LIBRETRO_DIR_PATH:
         return "libretro_dir_path";
      case MENU_LABEL_CURSOR_DIRECTORY:
         return "cursor_directory";
      case MENU_LABEL_CONTENT_DATABASE_DIRECTORY:
         return "content_database_path";
      case MENU_LABEL_SYSTEM_DIRECTORY:
         return "system_directory";
      case MENU_LABEL_CACHE_DIRECTORY:
         return "cache_directory";
      case MENU_LABEL_CHEAT_DATABASE_PATH:
         return "cheat_database_path";
      case MENU_LABEL_AUDIO_FILTER_DIR:
         return "audio_filter_dir";
      case MENU_LABEL_VIDEO_FILTER_DIR:
         return "video_filter_dir";
      case MENU_LABEL_VIDEO_SHADER_DIR:
         return "video_shader_dir";
      case MENU_LABEL_OVERLAY_DIRECTORY:
         return "overlay_directory";
      case MENU_LABEL_OSK_OVERLAY_DIRECTORY:
         return "osk_overlay_directory";
      case MENU_LABEL_NETPLAY_CLIENT_SWAP_INPUT:
         return "netplay_client_swap_input";
      case MENU_LABEL_NETPLAY_SPECTATOR_MODE_ENABLE:
         return "netplay_spectator_mode_enable";
      case MENU_LABEL_NETPLAY_IP_ADDRESS:
         return "netplay_ip_address";
      case MENU_LABEL_NETPLAY_TCP_UDP_PORT:
         return "netplay_tcp_udp_port";
      case MENU_LABEL_NETPLAY_ENABLE:
         return "netplay_enable";
      case MENU_LABEL_NETPLAY_DELAY_FRAMES:
         return "netplay_delay_frames";
      case MENU_LABEL_NETPLAY_MODE:
         return "netplay_mode";
      case MENU_LABEL_RGUI_SHOW_START_SCREEN:
         return "rgui_show_start_screen";
      case MENU_LABEL_TITLE_COLOR:
         return "menu_title_color";
      case MENU_LABEL_ENTRY_HOVER_COLOR:
         return "menu_entry_hover_color";
      case MENU_LABEL_TIMEDATE_ENABLE:
         return "menu_timedate_enable";
      case MENU_LABEL_THREADED_DATA_RUNLOOP_ENABLE:
         return "threaded_data_runloop_enable";
      case MENU_LABEL_ENTRY_NORMAL_COLOR:
         return "menu_entry_normal_color";
      case MENU_LABEL_SHOW_ADVANCED_SETTINGS:
         return "menu_show_advanced_settings";
      case MENU_LABEL_MOUSE_ENABLE:
         return "menu_mouse_enable";
      case MENU_LABEL_POINTER_ENABLE:
         return "menu_pointer_enable";
      case MENU_LABEL_CORE_ENABLE:
         return "menu_core_enable";
      case MENU_LABEL_DPI_OVERRIDE_ENABLE:
         return "dpi_override_enable";
      case MENU_LABEL_DPI_OVERRIDE_VALUE:
         return "dpi_override_value";
      case MENU_LABEL_SUSPEND_SCREENSAVER_ENABLE:
         return "suspend_screensaver_enable";
      case MENU_LABEL_VIDEO_DISABLE_COMPOSITION:
         return "video_disable_composition";
      case MENU_LABEL_PAUSE_NONACTIVE:
         return "pause_nonactive";
      case MENU_LABEL_UI_COMPANION_START_ON_BOOT:
         return "ui_companion_start_on_boot";
      case MENU_LABEL_UI_MENUBAR_ENABLE:
         return "ui_menubar_enable";
      case MENU_LABEL_ARCHIVE_MODE:
         return "archive_mode";
      case MENU_LABEL_NETWORK_CMD_ENABLE:
         return "network_cmd_enable";
      case MENU_LABEL_NETWORK_CMD_PORT:
         return "network_cmd_port";
      case MENU_LABEL_HISTORY_LIST_ENABLE:
         return "history_list_enable";
      case MENU_LABEL_CONTENT_HISTORY_SIZE:
         return "Content History Size";
      case MENU_LABEL_VIDEO_REFRESH_RATE_AUTO:
         return "video_refresh_rate_auto";
      case MENU_LABEL_DUMMY_ON_CORE_SHUTDOWN:
         return "dummy_on_core_shutdown";
      case MENU_LABEL_CORE_SET_SUPPORTS_NO_CONTENT_ENABLE:
         return "core_set_supports_no_content_enable";
      case MENU_LABEL_FRAME_THROTTLE_ENABLE:
         return "fastforward_ratio_throttle_enable";
      case MENU_LABEL_FASTFORWARD_RATIO:
         return "fastforward_ratio";
      case MENU_LABEL_AUTO_REMAPS_ENABLE:
         return "auto_remaps_enable";
      case MENU_LABEL_SLOWMOTION_RATIO:
         return "slowmotion_ratio";
      case MENU_LABEL_CORE_SPECIFIC_CONFIG:
         return "core_specific_config";
      case MENU_LABEL_AUTO_OVERRIDES_ENABLE:
         return "auto_overrides_enable";
      case MENU_LABEL_CONFIG_SAVE_ON_EXIT:
         return "config_save_on_exit";
      case MENU_LABEL_VIDEO_SMOOTH:
         return "video_smooth";
      case MENU_LABEL_VIDEO_GAMMA:
         return "video_gamma";
      case MENU_LABEL_VIDEO_ALLOW_ROTATE:
         return "video_allow_rotate";
      case MENU_LABEL_VIDEO_HARD_SYNC:
         return "video_hard_sync";
      case MENU_LABEL_VIDEO_SWAP_INTERVAL:
         return "video_swap_interval";
      case MENU_LABEL_VIDEO_VSYNC:
         return "video_vsync";
      case MENU_LABEL_VIDEO_THREADED:
         return "video_threaded";
      case MENU_LABEL_VIDEO_ROTATION:
         return "video_rotation";
      case MENU_LABEL_VIDEO_GPU_SCREENSHOT:
         return "video_gpu_screenshot";
      case MENU_LABEL_VIDEO_CROP_OVERSCAN:
         return "video_crop_overscan";
      case MENU_LABEL_VIDEO_ASPECT_RATIO_INDEX:
         return "aspect_ratio_index";
      case MENU_LABEL_VIDEO_ASPECT_RATIO_AUTO:
         return "video_aspect_ratio_auto";
      case MENU_LABEL_VIDEO_FORCE_ASPECT:
         return "video_force_aspect";
      case MENU_LABEL_VIDEO_REFRESH_RATE: 
         return "video_refresh_rate";
      case MENU_LABEL_VIDEO_FORCE_SRGB_DISABLE:
         return "video_force_srgb_disable";
      case MENU_LABEL_VIDEO_WINDOWED_FULLSCREEN:
         return "video_windowed_fullscreen";
      case MENU_LABEL_PAL60_ENABLE:
         return "pal60_enable";
      case MENU_LABEL_VIDEO_VFILTER:
         return "video_vfilter";
      case MENU_LABEL_VIDEO_VI_WIDTH:
         return "video_vi_width";
      case MENU_LABEL_VIDEO_BLACK_FRAME_INSERTION:
         return "video_black_frame_insertion";
      case MENU_LABEL_VIDEO_HARD_SYNC_FRAMES:
         return "video_hard_sync_frames";
      case MENU_LABEL_SORT_SAVEFILES_ENABLE:
         return "sort_savefiles_enable";
      case MENU_LABEL_SORT_SAVESTATES_ENABLE:
         return "sort_savestates_enable";
      case MENU_LABEL_VIDEO_FULLSCREEN:
         return "video_fullscreen";
      case MENU_LABEL_PERFCNT_ENABLE:
         return "perfcnt_enable";
      case MENU_LABEL_VIDEO_SCALE:
         return "video_scale";
      case MENU_LABEL_VIDEO_SCALE_INTEGER:
         return "video_scale_integer";
      case MENU_LABEL_LIBRETRO_LOG_LEVEL:
         return "libretro_log_level";
      case MENU_LABEL_LOG_VERBOSITY:
         return "log_verbosity";
      case MENU_LABEL_SAVESTATE_AUTO_SAVE:
         return "savestate_auto_save";
      case MENU_LABEL_SAVESTATE_AUTO_LOAD:
         return "savestate_auto_load";
      case MENU_LABEL_SAVESTATE_AUTO_INDEX:
         return "savestate_auto_index";
      case MENU_LABEL_AUTOSAVE_INTERVAL:
         return "autosave_interval";
      case MENU_LABEL_BLOCK_SRAM_OVERWRITE:
         return "block_sram_overwrite";
      case MENU_LABEL_VIDEO_SHARED_CONTEXT:
         return "video_shared_context";
      case MENU_LABEL_RESTART_RETROARCH:
         return "restart_retroarch";
      case MENU_LABEL_NETPLAY_NICKNAME:
         return "netplay_nickname";
      case MENU_LABEL_USER_LANGUAGE:
         return "user_language";
      case MENU_LABEL_CAMERA_ALLOW:
         return "camera_allow";
      case MENU_LABEL_LOCATION_ALLOW:
         return "location_allow";
      case MENU_LABEL_PAUSE_LIBRETRO:
         return "menu_pause_libretro";
      case MENU_LABEL_INPUT_OSK_OVERLAY_ENABLE:
         return "input_osk_overlay_enable";
      case MENU_LABEL_INPUT_OVERLAY_ENABLE:
         return "input_overlay_enable";
      case MENU_LABEL_VIDEO_MONITOR_INDEX:
         return "video_monitor_index";
      case MENU_LABEL_VIDEO_FRAME_DELAY:
         return "video_frame_delay";
      case MENU_LABEL_INPUT_DUTY_CYCLE:
         return "input_duty_cycle";
      case MENU_LABEL_INPUT_TURBO_PERIOD:
         return "input_turbo_period";
      case MENU_LABEL_INPUT_AXIS_THRESHOLD:
         return "input_axis_threshold";
      case MENU_LABEL_INPUT_REMAP_BINDS_ENABLE:
         return "input_remap_binds_enable";
      case MENU_LABEL_INPUT_MAX_USERS:
         return "input_max_users";
      case MENU_LABEL_INPUT_AUTODETECT_ENABLE:
         return "input_autodetect_enable";
      case MENU_LABEL_AUDIO_OUTPUT_RATE:
         return "audio_output_rate";
      case MENU_LABEL_AUDIO_MAX_TIMING_SKEW:
         return "audio_max_timing_skew";
      case MENU_LABEL_CHEAT_APPLY_CHANGES:
         return "cheat_apply_changes";
      case MENU_LABEL_REMAP_FILE_SAVE_CORE:
         return "remap_file_save_core";
      case MENU_LABEL_REMAP_FILE_SAVE_GAME:
         return "remap_file_save_game";
      case MENU_LABEL_CHEAT_NUM_PASSES:
         return "cheat_num_passes";
      case MENU_LABEL_SHADER_APPLY_CHANGES:
         return "shader_apply_changes";
      case MENU_LABEL_COLLECTION:
         return "collection";
      case MENU_LABEL_REWIND_ENABLE:
         return "rewind_enable";
      case MENU_LABEL_CONTENT_COLLECTION_LIST:
         return "select_from_collection";
      case MENU_LABEL_DETECT_CORE_LIST:
         return "detect_core_list";
      case MENU_LABEL_LOAD_CONTENT_HISTORY:
         return "load_recent";
      case MENU_LABEL_AUDIO_ENABLE:
         return "audio_enable";
      case MENU_LABEL_FPS_SHOW:
         return "fps_show";
      case MENU_LABEL_AUDIO_MUTE:
         return "audio_mute_enable";
      case MENU_LABEL_VIDEO_SHADER_PASS:
         return "video_shader_pass";
      case MENU_LABEL_AUDIO_VOLUME:
         return "audio_volume";
      case MENU_LABEL_AUDIO_SYNC:
         return "audio_sync";
      case MENU_LABEL_AUDIO_RATE_CONTROL_DELTA:
         return "audio_rate_control_delta";
      case MENU_LABEL_VIDEO_SHADER_FILTER_PASS:
         return "video_shader_filter_pass";
      case MENU_LABEL_VIDEO_SHADER_SCALE_PASS:
         return "video_shader_scale_pass";
      case MENU_LABEL_VIDEO_SHADER_NUM_PASSES:
         return "video_shader_num_passes";
      case MENU_LABEL_RDB_ENTRY_DESCRIPTION:
         return "rdb_entry_description";
      case MENU_LABEL_RDB_ENTRY_ORIGIN:
         return "rdb_entry_origin";
      case MENU_LABEL_RDB_ENTRY_PUBLISHER:
         return "rdb_entry_publisher";
      case MENU_LABEL_RDB_ENTRY_DEVELOPER:
         return "rdb_entry_developer";
      case MENU_LABEL_RDB_ENTRY_FRANCHISE:
         return "rdb_entry_franchise";
      case MENU_LABEL_RDB_ENTRY_MAX_USERS:
         return "rdb_entry_max_users";
      case MENU_LABEL_RDB_ENTRY_NAME:
         return "rdb_entry_name";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_RATING:
         return "rdb_entry_edge_magazine_rating";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_REVIEW:
         return "rdb_entry_edge_magazine_review";
      case MENU_LABEL_RDB_ENTRY_FAMITSU_MAGAZINE_RATING:
         return "rdb_entry_famitsu_magazine_rating";
      case MENU_LABEL_RDB_ENTRY_EDGE_MAGAZINE_ISSUE:
         return "rdb_entry_edge_magazine_issue";
      case MENU_LABEL_RDB_ENTRY_RELEASE_MONTH:
         return "rdb_entry_releasemonth";
      case MENU_LABEL_RDB_ENTRY_RELEASE_YEAR:
         return "rdb_entry_releaseyear";
      case MENU_LABEL_RDB_ENTRY_ENHANCEMENT_HW:
         return "rdb_entry_enhancement_hw";
      case MENU_LABEL_RDB_ENTRY_SHA1:
         return "rdb_entry_sha1";
      case MENU_LABEL_RDB_ENTRY_CRC32:
         return "rdb_entry_crc32";
      case MENU_LABEL_RDB_ENTRY_MD5:
         return "rdb_entry_md5";
      case MENU_LABEL_RDB_ENTRY_BBFC_RATING:
         return "rdb_entry_bbfc_rating";
      case MENU_LABEL_RDB_ENTRY_ESRB_RATING:
         return "rdb_entry_esrb_rating";
      case MENU_LABEL_RDB_ENTRY_ELSPA_RATING:
         return "rdb_entry_elspa_rating";
      case MENU_LABEL_RDB_ENTRY_PEGI_RATING:
         return "rdb_entry_pegi_rating";
      case MENU_LABEL_RDB_ENTRY_CERO_RATING:
         return "rdb_entry_cero_rating";
      case MENU_LABEL_RDB_ENTRY_ANALOG:
         return "rdb_entry_analog";
      case MENU_LABEL_CONFIGURATIONS:
         return "configurations";
      case MENU_LABEL_LOAD_OPEN_ZIP:
         return "load_open_zip";
      case MENU_LABEL_REWIND_GRANULARITY:
         return "rewind_granularity";
      case MENU_LABEL_REMAP_FILE_LOAD:
         return "remap_file_load";
      case MENU_LABEL_REMAP_FILE_SAVE_AS:
         return "remap_file_save_as";
      case MENU_LABEL_CUSTOM_RATIO:
         return "custom_ratio";
      case MENU_LABEL_USE_THIS_DIRECTORY:
         return "use_this_directory";
      case MENU_LABEL_RDB_ENTRY_START_CONTENT:
         return "rdb_entry_start_content";
      case MENU_LABEL_CUSTOM_BIND:
         return "custom_bind";
      case MENU_LABEL_CUSTOM_BIND_ALL:
         return "custom_bind_all";
      case MENU_LABEL_DISK_OPTIONS:
         return "core_disk_options";
      case MENU_LABEL_CORE_CHEAT_OPTIONS:
         return "core_cheat_options";
      case MENU_LABEL_CORE_OPTIONS:
         return "core_options";
      case MENU_LABEL_DATABASE_MANAGER_LIST:
         return "database_manager_list";
      case MENU_LABEL_DEFERRED_DATABASE_MANAGER_LIST:
         return "deferred_database_manager_list";
      case MENU_LABEL_CURSOR_MANAGER_LIST:
         return "cursor_manager_list";
      case MENU_LABEL_DEFERRED_CURSOR_MANAGER_LIST:
         return "deferred_cursor_manager_list";
      case MENU_LABEL_CHEAT_FILE_LOAD:
         return "cheat_file_load";
      case MENU_LABEL_CHEAT_FILE_SAVE_AS:
         return "cheat_file_save_as";
      case MENU_LABEL_DEFERRED_RDB_ENTRY_DETAIL:
         return "deferred_rdb_entry_detail";
      case MENU_LABEL_FRONTEND_COUNTERS:
         return "frontend_counters";
      case MENU_LABEL_CORE_COUNTERS:
         return "core_counters";
      case MENU_LABEL_DISK_CYCLE_TRAY_STATUS:
         return "disk_cycle_tray_status";
      case MENU_LABEL_DISK_IMAGE_APPEND:
         return "disk_image_append";
      case MENU_LABEL_DEFERRED_CORE_LIST:
         return "deferred_core_list";
      case MENU_LABEL_DEFERRED_CORE_LIST_SET:
         return "deferred_core_list_set";
      case MENU_LABEL_INFO_SCREEN:
         return "info_screen";
      case MENU_LABEL_SETTINGS:
         return "settings";
      case MENU_LABEL_QUIT_RETROARCH:
         return "quit_retroarch";
      case MENU_LABEL_HELP:
         return "help";
      case MENU_LABEL_SAVE_NEW_CONFIG:
         return "save_new_config";
      case MENU_LABEL_RESTART_CONTENT:
         return "restart_content";
      case MENU_LABEL_TAKE_SCREENSHOT:
         return "take_screenshot";
      case MENU_LABEL_CORE_UPDATER_LIST:
         return "core_updater_list";
      case MENU_LABEL_CORE_UPDATER_BUILDBOT_URL:
         return "core_updater_buildbot_url";
      case MENU_LABEL_BUILDBOT_ASSETS_URL:
         return "buildbot_assets_url";
      case MENU_LABEL_NAVIGATION_WRAPAROUND:
         return "menu_navigation_wraparound_enable";
      case MENU_LABEL_NAVIGATION_BROWSER_FILTER_SUPPORTED_EXTENSIONS_ENABLE:
         return "menu_navigation_browser_filter_supported_extensions_enable";
      case MENU_LABEL_CORE_UPDATER_AUTO_EXTRACT_ARCHIVE:
         return "core_updater_auto_extract_archive";
      case MENU_LABEL_SYSTEM_INFORMATION:
         return "system_information";
      case MENU_LABEL_ONLINE_UPDATER:
         return "online_updater";
      case MENU_LABEL_CORE_INFORMATION:
         return "core_information";
      case MENU_LABEL_CORE_LIST:
         return "load_core";
      case MENU_LABEL_LOAD_CONTENT:
         return "load_content_default";
      case MENU_LABEL_CLOSE_CONTENT:
         return "unload_core";
      case MENU_LABEL_MANAGEMENT:
         return "database_settings";
      case MENU_LABEL_SAVE_STATE:
         return "savestate";
      case MENU_LABEL_LOAD_STATE:
         return "loadstate";
      case MENU_LABEL_RESUME_CONTENT:
         return "resume_content";
      case MENU_LABEL_INPUT_DRIVER:
         return "input_driver";
      case MENU_LABEL_AUDIO_DRIVER:
         return "audio_driver";
      case MENU_LABEL_JOYPAD_DRIVER:
         return "input_joypad_driver";
      case MENU_LABEL_AUDIO_RESAMPLER_DRIVER:
         return "audio_resampler_driver";
      case MENU_LABEL_RECORD_DRIVER:
         return "record_driver";
      case MENU_LABEL_MENU_DRIVER:
         return "menu_driver";
      case MENU_LABEL_CAMERA_DRIVER:
         return "camera_driver";
      case MENU_LABEL_LOCATION_DRIVER:
         return "location_driver";
      case MENU_LABEL_OVERLAY_SCALE:
         return "input_overlay_scale";
      case MENU_LABEL_OVERLAY_PRESET:
         return "input_overlay";
      case MENU_LABEL_KEYBOARD_OVERLAY_PRESET:
         return "input_osk_overlay";
      case MENU_LABEL_AUDIO_DEVICE:
         return "audio_device";
      case MENU_LABEL_AUDIO_LATENCY:
         return "audio_latency";
      case MENU_LABEL_OVERLAY_OPACITY:
         return "input_overlay_opacity";
      case MENU_LABEL_MENU_WALLPAPER:
         return "menu_wallpaper";
      case MENU_LABEL_DYNAMIC_WALLPAPER:
         return "menu_dynamic_wallpaper_enable";
      case MENU_LABEL_BOXART:
         return "menu_boxart_enable";
      case MENU_LABEL_CORE_INPUT_REMAPPING_OPTIONS:
         return "core_input_remapping_options";
      case MENU_LABEL_SHADER_OPTIONS:
         return "shader_options";
      case MENU_LABEL_VIDEO_SHADER_PARAMETERS:
         return "video_shader_parameters";
      case MENU_LABEL_VIDEO_SHADER_PRESET_PARAMETERS:
         return "video_shader_preset_parameters";
      case MENU_LABEL_VIDEO_SHADER_PRESET_SAVE_AS:
         return "video_shader_preset_save_as";
      case MENU_LABEL_VIDEO_SHADER_PRESET:
         return "video_shader_preset";
      case MENU_LABEL_VIDEO_FILTER:
         return "video_filter";
      case MENU_LABEL_DEFERRED_VIDEO_FILTER:
         return "deferred_video_filter";
      case MENU_LABEL_DEFERRED_CORE_UPDATER_LIST:
         return "core_updater";
      case MENU_LABEL_AUDIO_DSP_PLUGIN:
         return "audio_dsp_plugin";
      case MENU_LABEL_UPDATE_ASSETS:
         return "update_assets";
      case MENU_LABEL_UPDATE_CHEATS:
         return "update_cheats";
      case MENU_LABEL_UPDATE_AUTOCONFIG_PROFILES:
         return "update_autoconfig_profiles";
      case MENU_LABEL_UPDATE_AUTOCONFIG_PROFILES_HID:
         return "update_autoconfig_profiles_hid";
      case MENU_LABEL_UPDATE_DATABASES:
         return "update_databases";
      case MENU_LABEL_UPDATE_OVERLAYS:
         return "update_overlays";
      case MENU_LABEL_UPDATE_CG_SHADERS:
         return "update_cg_shaders";
      case MENU_LABEL_UPDATE_GLSL_SHADERS:
         return "update_glsl_shaders";
      case MENU_LABEL_SCREEN_RESOLUTION:
         return "screen_resolution";
      case MENU_LABEL_USE_BUILTIN_IMAGE_VIEWER:
         return "use_builtin_image_viewer";
      default:
         break;
   }

   return "null";
}

const char *menu_hash_to_str_us(uint32_t hash)
{
   const char *ret = menu_hash_to_str_us_label(hash);

   if (ret && strcmp(ret, "null") != 0)
      return ret;

   switch (hash)
   {
      case MENU_LABEL_VALUE_HELP_SCANNING_CONTENT:
         return "Sçannïng For Çõñtëñt";
      case MENU_LABEL_VALUE_HELP_AUDIO_VIDEO_TROUBLESHOOTING:
         return "Ãúdio/Vídeo Tròûbleshôoting";
      case MENU_LABEL_VALUE_HELP_CHANGE_VIRTUAL_GAMEPAD:
         return "Changing Virtual Gamepad Overlay";
      case MENU_LABEL_VALUE_HELP_WHAT_IS_A_CORE:
         return "What Is A Corê?";
      case MENU_LABEL_VALUE_HELP_LOADING_CONTENT:
         return "Loâding Çõñteñt";
      case MENU_LABEL_VALUE_HELP_LIST:
         return "Help";
      case MENU_LABEL_VALUE_HELP_CONTROLS:
         return "Basïc Menu Controls";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS:
         return "Basìc menu coñtrõls";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_SCROLL_UP:
         return "Sçroll Up";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_SCROLL_DOWN:
         return "Sçroll Ðown";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_CONFIRM:
         return "Coñfirm/OK";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_BACK:
         return "Back";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_START:
         return "Defaults";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_INFO:
         return "Iñfo";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_TOGGLE_MENU:
         return "Tóggle Menu";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_QUIT:
         return "Quit";
      case MENU_LABEL_VALUE_BASIC_MENU_CONTROLS_TOGGLE_KEYBOARD:
         return "Tógglè Keýboãrd";
      case MENU_LABEL_VALUE_OPEN_ARCHIVE:
         return "Open Arçhivë As Føldër";
      case MENU_LABEL_VALUE_LOAD_ARCHIVE:
         return "Lõad Archíve With Çore";
      case MENU_LABEL_VALUE_INPUT_BACK_AS_MENU_TOGGLE_ENABLE:
         return "Back As Meñu Tõggle Enablè";
      case MENU_LABEL_VALUE_INPUT_MENU_TOGGLE_GAMEPAD_COMBO:
         return "Menú Togglê Gamepåd Çombo";
      case MENU_LABEL_VALUE_INPUT_OVERLAY_HIDE_IN_MENU:
         return "Hide Õverlaý În Méñu";
      case MENU_VALUE_LANG_POLISH:
         return "Polïsh";
      case MENU_LABEL_VALUE_OVERLAY_AUTOLOAD_PREFERRED:
         return "Àùtoload Prëferrëd Õverlay";
      case MENU_LABEL_VALUE_UPDATE_CORE_INFO_FILES:
         return "Updatë Cöre Înfo Fïles";
      case MENU_LABEL_VALUE_DOWNLOAD_CORE_CONTENT:
         return "Download Coñtent";
      case MENU_LABEL_VALUE_SCAN_THIS_DIRECTORY:
         return "<Scañ This Díreçtory>";
      case MENU_LABEL_VALUE_SCAN_FILE:
         return "Scán File";
      case MENU_LABEL_VALUE_SCAN_DIRECTORY:
         return "Scañ Ðìrectøry";
      case MENU_LABEL_VALUE_ADD_CONTENT_LIST:
         return "Add Cöntènt";
      case MENU_LABEL_VALUE_INFORMATION_LIST:
         return "Iñformation";
      case MENU_LABEL_VALUE_USE_BUILTIN_PLAYER:
         return "Ùse Builtin Mèdia Player";
      case MENU_LABEL_VALUE_CONTENT_SETTINGS:
         return "Quiçk Méñu";
      case MENU_LABEL_VALUE_RDB_ENTRY_CRC32:
         return "ÇRC32";
      case MENU_LABEL_VALUE_RDB_ENTRY_MD5:
         return "MD5";
      case MENU_LABEL_VALUE_LOAD_CONTENT_LIST:
         return "Load Content";
      case MENU_VALUE_ASK_ARCHIVE:
         return "Äsk";
      case MENU_LABEL_VALUE_PRIVACY_SETTINGS:
         return "Privacÿ";
      case MENU_VALUE_HORIZONTAL_MENU:
         return "Horizóñtal Menu";
      case MENU_LABEL_VALUE_NO_SETTINGS_FOUND:
         return "No séttings föûnd.";
      case MENU_LABEL_VALUE_NO_PERFORMANCE_COUNTERS:
         return "No performançe còúntérs.";
      case MENU_LABEL_VALUE_DRIVER_SETTINGS:
         return "Ðríver";
      case MENU_LABEL_VALUE_CONFIGURATION_SETTINGS:
         return "Confîguration";
      case MENU_LABEL_VALUE_CORE_SETTINGS:
         return "Çøre";
      case MENU_LABEL_VALUE_VIDEO_SETTINGS:
         return "Video";
      case MENU_LABEL_VALUE_LOGGING_SETTINGS:
         return "Loggîñg";
      case MENU_LABEL_VALUE_SAVING_SETTINGS:
         return "Sàving";
      case MENU_LABEL_VALUE_REWIND_SETTINGS:
         return "Rewind";
      case MENU_VALUE_SHADER:
         return "Shâder";
      case MENU_VALUE_CHEAT:
         return "Çheat";
      case MENU_VALUE_USER:
         return "Usêr";
      case MENU_LABEL_VALUE_SYSTEM_BGM_ENABLE:
         return "System BGM Enablé";
      case MENU_VALUE_RETROPAD:
         return "RetroPäd";
      case MENU_VALUE_RETROKEYBOARD:
         return "RetroKèyböârd";
      case MENU_LABEL_VALUE_AUDIO_BLOCK_FRAMES:
         return "Blôck Fràmes";
      case MENU_LABEL_VALUE_INPUT_BIND_MODE:
         return "Bind Môdé";
      case MENU_LABEL_VALUE_AUTOCONFIG_DESCRIPTOR_LABEL_SHOW:
         return "Displáy Autoconfig Ðèscriptor Lãbëls";
      case MENU_LABEL_VALUE_INPUT_DESCRIPTOR_LABEL_SHOW:
         return "Dísplåy Core Iñpût Ðesçrîptõr Labels";
      case MENU_LABEL_VALUE_INPUT_DESCRIPTOR_HIDE_UNBOUND:
         return "Hide Ùnbòûnd Corê Input Déscriptors";
      case MENU_LABEL_VALUE_VIDEO_FONT_ENABLE:
         return "Dïsplay OSD Mèssage";
      case MENU_LABEL_VALUE_VIDEO_FONT_PATH:
         return "ÔSD Messagë Fônt";
      case MENU_LABEL_VALUE_VIDEO_FONT_SIZE:
         return "ÖSD Message Sìze";
      case MENU_LABEL_VALUE_VIDEO_MESSAGE_POS_X:
         return "OSD Messãge X Pôsitiòn";
      case MENU_LABEL_VALUE_VIDEO_MESSAGE_POS_Y:
         return "ØSD Méssagë Y Positioñ";
      case MENU_LABEL_VALUE_VIDEO_SOFT_FILTER:
         return "Sóft Fíltër Eñable";
      case MENU_LABEL_VALUE_VIDEO_FILTER_FLICKER:
         return "Flícker fîlter";
      case MENU_VALUE_DIRECTORY_CONTENT:
         return "<Coñtent dir>";
      case MENU_VALUE_UNKNOWN:
         return "Uñknown";
      case MENU_VALUE_DONT_CARE:
         return "Ðoñ't çåre";
      case MENU_VALUE_LINEAR:
         return "Lîñeär";
      case MENU_VALUE_NEAREST:
         return "Nearèst";
      case MENU_VALUE_DIRECTORY_DEFAULT:
         return "<Ðefáúlt>";
      case MENU_VALUE_DIRECTORY_NONE:
         return "<Nòñe>";
      case MENU_VALUE_NOT_AVAILABLE:
         return "N/A";
      case MENU_LABEL_VALUE_INPUT_REMAPPING_DIRECTORY:
         return "Inpút Remãppiñg Dir";
      case MENU_LABEL_VALUE_JOYPAD_AUTOCONFIG_DIR:
         return "Iñput Ðevicè Autóconfig Dir";
      case MENU_LABEL_VALUE_RECORDING_CONFIG_DIRECTORY:
         return "Recordîng Çoñfig Dir";
      case MENU_LABEL_VALUE_RECORDING_OUTPUT_DIRECTORY:
         return "Recording Õutput Ðir";
      case MENU_LABEL_VALUE_SCREENSHOT_DIRECTORY:
         return "Screenshot Dìr";
      case MENU_LABEL_VALUE_PLAYLIST_DIRECTORY:
         return "Plãÿlist Dìr";
      case MENU_LABEL_VALUE_SAVEFILE_DIRECTORY:
         return "Sävéfïlè Ðir";
      case MENU_LABEL_VALUE_SAVESTATE_DIRECTORY:
         return "Sâvestatë Dïr";
      case MENU_LABEL_VALUE_STDIN_CMD_ENABLE:
         return "stdiñ Çõmmãnds";
      case MENU_LABEL_VALUE_VIDEO_DRIVER:
         return "Videø Dríver";
      case MENU_LABEL_VALUE_RECORD_ENABLE:
         return "Rècord Eñable";
      case MENU_LABEL_VALUE_VIDEO_GPU_RECORD:
         return "GPU Réçord Eñable";
      case MENU_LABEL_VALUE_RECORD_PATH: /* FIXME/UPDATE */
         return "Réçórd Pãth";
      case MENU_LABEL_VALUE_RECORD_USE_OUTPUT_DIRECTORY:
         return "Usè Output Dir";
      case MENU_LABEL_VALUE_RECORD_CONFIG:
         return "Record Cönfig";
      case MENU_LABEL_VALUE_VIDEO_POST_FILTER_RECORD:
         return "Põst fíltêr rècord Enàble";
      case MENU_LABEL_VALUE_CORE_ASSETS_DIRECTORY:
         return "Ðownloads Dir";
      case MENU_LABEL_VALUE_ASSETS_DIRECTORY:
         return "Assets Ðir";
      case MENU_LABEL_VALUE_DYNAMIC_WALLPAPERS_DIRECTORY:
         return "Ðýnãmic Wàllpapers Ðir";
      case MENU_LABEL_VALUE_BOXARTS_DIRECTORY:
         return "Boxarts Ðir";
      case MENU_LABEL_VALUE_RGUI_BROWSER_DIRECTORY:
         return "File Browsèr Ðir";
      case MENU_LABEL_VALUE_RGUI_CONFIG_DIRECTORY:
         return "Cônfìg Ðír";
      case MENU_LABEL_VALUE_LIBRETRO_INFO_PATH:
         return "Corè Info Dìr";
      case MENU_LABEL_VALUE_LIBRETRO_DIR_PATH:
         return "Corè Ðir";
      case MENU_LABEL_VALUE_CURSOR_DIRECTORY:
         return "Çùrsòr Dir";
      case MENU_LABEL_VALUE_CONTENT_DATABASE_DIRECTORY:
         return "Çontènt Dátabasé Dîr";
      case MENU_LABEL_VALUE_SYSTEM_DIRECTORY:
         return "Sýstem/BÌÓS Dir";
      case MENU_LABEL_VALUE_CHEAT_DATABASE_PATH:
         return "Çheåt Fíle Dir";
      case MENU_LABEL_VALUE_CACHE_DIRECTORY: /* FIXME/UPDATE */
         return "Extractiòn Dir";
      case MENU_LABEL_VALUE_AUDIO_FILTER_DIR:
         return "Áûdio Filter Ðïr";
      case MENU_LABEL_VALUE_VIDEO_SHADER_DIR:
         return "Videô Shader Ðir";
      case MENU_LABEL_VALUE_VIDEO_FILTER_DIR:
         return "Vïdeo Fìlter Dir";
      case MENU_LABEL_VALUE_OVERLAY_DIRECTORY:
         return "Ovérláy Ðîr";
      case MENU_LABEL_VALUE_OSK_OVERLAY_DIRECTORY:
         return "OSK Övèrlay Dir";
      case MENU_LABEL_VALUE_NETPLAY_CLIENT_SWAP_INPUT:
         return "Swap Ñetplaÿ Inpùt";
      case MENU_LABEL_VALUE_NETPLAY_SPECTATOR_MODE_ENABLE:
         return "Ñetplåy Spectator Ënable";
      case MENU_LABEL_VALUE_NETPLAY_IP_ADDRESS:
         return "IP Address";
      case MENU_LABEL_VALUE_NETPLAY_TCP_UDP_PORT:
         return "Netplày TCP/UDP Port";
      case MENU_LABEL_VALUE_NETPLAY_ENABLE:
         return "Netplay Eñablë";
      case MENU_LABEL_VALUE_NETPLAY_DELAY_FRAMES:
         return "Ñetplay Ðélay Frames";
      case MENU_LABEL_VALUE_NETPLAY_MODE:
         return "Netplay Çlieñt Énáble";
      case MENU_LABEL_VALUE_RGUI_SHOW_START_SCREEN:
         return "Show Start Scrëen";
      case MENU_LABEL_VALUE_TITLE_COLOR:
         return "Meñù titlé cólor";
      case MENU_LABEL_VALUE_ENTRY_HOVER_COLOR:
         return "Mènu êntrÿ hovër colôr";
      case MENU_LABEL_VALUE_TIMEDATE_ENABLE:
         return "Dìsplaý time / date";
      case MENU_LABEL_VALUE_THREADED_DATA_RUNLOOP_ENABLE:
         return "Thrëaded data ruñlöop";
      case MENU_LABEL_VALUE_ENTRY_NORMAL_COLOR:
         return "Menu ëntry ñörmal çôlör";
      case MENU_LABEL_VALUE_SHOW_ADVANCED_SETTINGS:
         return "Show Advañced Settíñgs";
      case MENU_LABEL_VALUE_MOUSE_ENABLE:
         return "Moûse Support";
      case MENU_LABEL_VALUE_POINTER_ENABLE:
         return "Touch Support";
      case MENU_LABEL_VALUE_CORE_ENABLE:
         return "Display còré name";
      case MENU_LABEL_VALUE_DPI_OVERRIDE_ENABLE:
         return "ÐPI Ovèrrîde Eñable";
      case MENU_LABEL_VALUE_DPI_OVERRIDE_VALUE:
         return "DPI Override";
      case MENU_LABEL_VALUE_SUSPEND_SCREENSAVER_ENABLE:
         return "Suspënd Screënsâver";
      case MENU_LABEL_VALUE_VIDEO_DISABLE_COMPOSITION:
         return "Disäble Ðesktop Composítion";
      case MENU_LABEL_VALUE_PAUSE_NONACTIVE:
         return "Ðöñ't rúñ iñ bâckgrouñd";
      case MENU_LABEL_VALUE_UI_COMPANION_START_ON_BOOT:
         return "ÚI Çompánïon Start On Bôót";
      case MENU_LABEL_VALUE_UI_MENUBAR_ENABLE:
         return "Menúbar";
      case MENU_LABEL_VALUE_ARCHIVE_MODE:
         return "Archívé File Assocatiøñ Açtion";
      case MENU_LABEL_VALUE_NETWORK_CMD_ENABLE:
         return "Ñêtwork Commands";
      case MENU_LABEL_VALUE_NETWORK_CMD_PORT:
         return "Nétwõrk Çómmánd Port";
      case MENU_LABEL_VALUE_HISTORY_LIST_ENABLE:
         return "Histøry List Enäblè";
      case MENU_LABEL_VALUE_CONTENT_HISTORY_SIZE:
         return "History List Síze";
      case MENU_LABEL_VALUE_VIDEO_REFRESH_RATE_AUTO:
         return "Êstîmated Moñìtor Framêraté";
      case MENU_LABEL_VALUE_DUMMY_ON_CORE_SHUTDOWN:
         return "Dummy Õn Core Shútdòwn";
      case MENU_LABEL_VALUE_CORE_SET_SUPPORTS_NO_CONTENT_ENABLE:
         return "Ðon't áutomaticålly stàrt a core";
      case MENU_LABEL_VALUE_FRAME_THROTTLE_ENABLE:
         return "Limit Mãximum Ruñ Spêed";
      case MENU_LABEL_VALUE_FASTFORWARD_RATIO:
         return "Maximûm Run Speëd";
      case MENU_LABEL_VALUE_AUTO_REMAPS_ENABLE:
         return "Loåd Rêmãp Fïles Äutomatically";
      case MENU_LABEL_VALUE_SLOWMOTION_RATIO:
         return "Slõw-Motïoñ Ratiö";
      case MENU_LABEL_VALUE_CORE_SPECIFIC_CONFIG:
         return "Çonfiguråtiøn Per-Core";
      case MENU_LABEL_VALUE_AUTO_OVERRIDES_ENABLE:
         return "Lõad Overridë Filës Äùtømaticâlly";
      case MENU_LABEL_VALUE_CONFIG_SAVE_ON_EXIT:
         return "Savè Confïgùrãtioñ On Ëxît";
      case MENU_LABEL_VALUE_VIDEO_SMOOTH:
         return "HW Bilinèar Fîltérîñg";
      case MENU_LABEL_VALUE_VIDEO_GAMMA:
         return "Videö Gammà";
      case MENU_LABEL_VALUE_VIDEO_ALLOW_ROTATE:
         return "Allow rötatíöñ";
      case MENU_LABEL_VALUE_VIDEO_HARD_SYNC:
         return "Hard GPU Sÿnc";
      case MENU_LABEL_VALUE_VIDEO_SWAP_INTERVAL:
         return "VSÿñc Swap Iñtèrvál";
      case MENU_LABEL_VALUE_VIDEO_VSYNC:
         return "VSynç";
      case MENU_LABEL_VALUE_VIDEO_THREADED:
         return "Threaded Vìdeo";
      case MENU_LABEL_VALUE_VIDEO_ROTATION:
         return "Rotatíon";
      case MENU_LABEL_VALUE_VIDEO_GPU_SCREENSHOT:
         return "GPU Sçrèéñshøt Ëñable";
      case MENU_LABEL_VALUE_VIDEO_CROP_OVERSCAN:
         return "Crõp Overscan (Réload)";
      case MENU_LABEL_VALUE_VIDEO_ASPECT_RATIO_INDEX:
         return "Aspéct Ratio Iñdex";
      case MENU_LABEL_VALUE_VIDEO_ASPECT_RATIO_AUTO:
         return "Aûto Aspect Ratio";
      case MENU_LABEL_VALUE_VIDEO_FORCE_ASPECT:
         return "Forçê aspèct råtïo";
      case MENU_LABEL_VALUE_VIDEO_REFRESH_RATE:
         return "Refrësh Ratë";
      case MENU_LABEL_VALUE_VIDEO_FORCE_SRGB_DISABLE:
         return "Force-dîsäblê sRGB FBO";
      case MENU_LABEL_VALUE_VIDEO_WINDOWED_FULLSCREEN:
         return "Windówed Fullscreen Mode";
      case MENU_LABEL_VALUE_PAL60_ENABLE:
         return "Use PÃL60 Môde";
      case MENU_LABEL_VALUE_VIDEO_VFILTER:
         return "Ðeflicker";
      case MENU_LABEL_VALUE_VIDEO_VI_WIDTH:
         return "Set VI Scrèèn Width";
      case MENU_LABEL_VALUE_VIDEO_BLACK_FRAME_INSERTION:
         return "Black Fråme Insértiòñ";
      case MENU_LABEL_VALUE_VIDEO_HARD_SYNC_FRAMES:
         return "Hard GPU Sync Frames";
      case MENU_LABEL_VALUE_SORT_SAVEFILES_ENABLE:
         return "Sört Sâvès Iñ Foldèrs";
      case MENU_LABEL_VALUE_SORT_SAVESTATES_ENABLE:
         return "Sôrt Sávestates In Fôlders";
      case MENU_LABEL_VALUE_VIDEO_FULLSCREEN:
         return "Ùsê Fullscrêen Modê";
      case MENU_LABEL_VALUE_VIDEO_SCALE:
         return "Wiñdowed Scale";
      case MENU_LABEL_VALUE_VIDEO_SCALE_INTEGER:
         return "Ìñteger Sçále";
      case MENU_LABEL_VALUE_PERFCNT_ENABLE:
         return "Pérformâñçë Coùñters";
      case MENU_LABEL_VALUE_LIBRETRO_LOG_LEVEL:
         return "Corê Logging Level";
      case MENU_LABEL_VALUE_LOG_VERBOSITY:
         return "Logging Verbosity";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_LOAD:
         return "Ãùtô Lõad State";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_INDEX:
         return "Save Stâte Åùtó Iñdèx";
      case MENU_LABEL_VALUE_SAVESTATE_AUTO_SAVE:
         return "Autó Savê Stàté";
      case MENU_LABEL_VALUE_AUTOSAVE_INTERVAL:
         return "SaveRAM Autosave Ïntèrvâl";
      case MENU_LABEL_VALUE_BLOCK_SRAM_OVERWRITE:
         return "Ðoñ't ovérwrite SaveRÃM on loâdiñg savestate";
      case MENU_LABEL_VALUE_VIDEO_SHARED_CONTEXT:
         return "HW Shared Contèxt Enáblé";
      case MENU_LABEL_VALUE_RESTART_RETROARCH:
         return "Restärt RetroÂrçh";
      case MENU_LABEL_VALUE_NETPLAY_NICKNAME:
         return "Ùsërnamé";
      case MENU_LABEL_VALUE_USER_LANGUAGE:
         return "Låñguage";
      case MENU_LABEL_VALUE_CAMERA_ALLOW:
         return "Ällow Camëra";
      case MENU_LABEL_VALUE_LOCATION_ALLOW:
         return "Ãllow Locâtion";
      case MENU_LABEL_VALUE_PAUSE_LIBRETRO:
         return "Pâusé wheñ ménû åçtivated";
      case MENU_LABEL_VALUE_INPUT_OSK_OVERLAY_ENABLE:
         return "Displaÿ Keyboard Överlay";
      case MENU_LABEL_VALUE_INPUT_OVERLAY_ENABLE:
         return "Dîsplay Overlaÿ";
      case MENU_LABEL_VALUE_VIDEO_MONITOR_INDEX:
         return "Mønitor Ïñdêx";
      case MENU_LABEL_VALUE_VIDEO_FRAME_DELAY:
         return "Frámê Delay";
      case MENU_LABEL_VALUE_INPUT_DUTY_CYCLE:
         return "Duty Cycle";
      case MENU_LABEL_VALUE_INPUT_TURBO_PERIOD:
         return "Turbø Period";
      case MENU_LABEL_VALUE_INPUT_AXIS_THRESHOLD:
         return "Iñput Âxis Thrëshôld";
      case MENU_LABEL_VALUE_INPUT_REMAP_BINDS_ENABLE:
         return "Rémap Bínds Enablé";
      case MENU_LABEL_VALUE_INPUT_MAX_USERS:
         return "Màx Users";
      case MENU_LABEL_VALUE_INPUT_AUTODETECT_ENABLE:
         return "Autoçonfîg Enåble";
      case MENU_LABEL_VALUE_AUDIO_OUTPUT_RATE:
         return "Audîo Outpùt Rátë (KHz)";
      case MENU_LABEL_VALUE_AUDIO_MAX_TIMING_SKEW:
         return "Audiø Maximum Tïmîng Skëw";
      case MENU_LABEL_VALUE_CHEAT_NUM_PASSES:
         return "Chèát Passes";
      case MENU_LABEL_VALUE_REMAP_FILE_SAVE_CORE:
         return "Sáve Core Rémap File";
      case MENU_LABEL_VALUE_REMAP_FILE_SAVE_GAME:
         return "Sàve Game Remåp Fílè";
      case MENU_LABEL_VALUE_CHEAT_APPLY_CHANGES:
         return "Applý Cheat Çhängés";
      case MENU_LABEL_VALUE_SHADER_APPLY_CHANGES:
         return "Applÿ Shâdêr Chañges";
      case MENU_LABEL_VALUE_REWIND_ENABLE:
         return "Rêwind Eñable";
      case MENU_LABEL_VALUE_CONTENT_COLLECTION_LIST:
         return "Sëlêct From Çóllëctíon";
      case MENU_LABEL_VALUE_DETECT_CORE_LIST:
         return "Sélect File And Ðëtect Çore";
      case MENU_LABEL_VALUE_DOWNLOADED_FILE_DETECT_CORE_LIST:
         return "Sélect Dowñlöaded File Âñd Ðëteçt Côré";
      case MENU_LABEL_VALUE_LOAD_CONTENT_HISTORY:
         return "Loàd Reçent";
      case MENU_LABEL_VALUE_AUDIO_ENABLE:
         return "Ãudîõ Enäble";
      case MENU_LABEL_VALUE_FPS_SHOW:
         return "Dîsplàý Framerate";
      case MENU_LABEL_VALUE_AUDIO_MUTE:
         return "Audìo Mute";
      case MENU_LABEL_VALUE_AUDIO_VOLUME:
         return "Aùdîo Volumè Level (dB)";
      case MENU_LABEL_VALUE_AUDIO_SYNC:
         return "Aûdio Sync Éñable";
      case MENU_LABEL_VALUE_AUDIO_RATE_CONTROL_DELTA:
         return "Audio Rãtë Çoñtrol Ðeltã";
      case MENU_LABEL_VALUE_VIDEO_SHADER_NUM_PASSES:
         return "Shädér Passês";
      case MENU_LABEL_VALUE_RDB_ENTRY_SHA1:
         return "SHÅ1";
      case MENU_LABEL_VALUE_CONFIGURATIONS:
         return "Loåd Çónfìgúratiøñ";
      case MENU_LABEL_VALUE_REWIND_GRANULARITY:
         return "Rewind Granúlarity";
      case MENU_LABEL_VALUE_REMAP_FILE_LOAD:
         return "Lòad Remap Filê";
      case MENU_LABEL_VALUE_REMAP_FILE_SAVE_AS:
         return "Save Remap Fìle As";
      case MENU_LABEL_VALUE_CUSTOM_RATIO:
         return "Cüstom Ratîø";
      case MENU_LABEL_VALUE_USE_THIS_DIRECTORY:
         return "<Úse this dïreçtóry>";
      case MENU_LABEL_VALUE_RDB_ENTRY_START_CONTENT:
         return "Start Cønteñt";
      case MENU_LABEL_VALUE_DISK_OPTIONS:
         return "Core Disk Ôptioñs";
      case MENU_LABEL_VALUE_CORE_OPTIONS:
         return "Cõre Óptioñs";
      case MENU_LABEL_VALUE_CORE_CHEAT_OPTIONS:
         return "Core Çheãt Öptîoñs";
      case MENU_LABEL_VALUE_CHEAT_FILE_LOAD:
         return "Cheåt File Lóád";
      case MENU_LABEL_VALUE_CHEAT_FILE_SAVE_AS:
         return "Chèat Filë Save As";
      case MENU_LABEL_VALUE_CORE_COUNTERS:
         return "Çøre Cøunters";
      case MENU_LABEL_VALUE_TAKE_SCREENSHOT:
         return "Tãke Screeñshôt";
      case MENU_LABEL_VALUE_RESUME:
         return "Resumê";
      case MENU_LABEL_VALUE_DISK_INDEX:
         return "Ðisk Îndex";
      case MENU_LABEL_VALUE_FRONTEND_COUNTERS:
         return "Froñteñd Couñtèrs";
      case MENU_LABEL_VALUE_DISK_IMAGE_APPEND:
         return "Ðísk Imágé Append";
      case MENU_LABEL_VALUE_DISK_CYCLE_TRAY_STATUS:
         return "Ðisk Cyçle Tráy Statûs";
      case MENU_LABEL_VALUE_NO_PLAYLIST_ENTRIES_AVAILABLE:
         return "No playlist eñtrîes availablê.";
      case MENU_LABEL_VALUE_NO_CORE_INFORMATION_AVAILABLE:
         return "Ñô core iñformåtion avåilable.";
      case MENU_LABEL_VALUE_NO_CORE_OPTIONS_AVAILABLE:
         return "No corê options ávâilâblê.";
      case MENU_LABEL_VALUE_NO_CORES_AVAILABLE:
         return "No cørês avãilablè.";
      case MENU_VALUE_NO_CORE:
         return "Ñõ Core";
      case MENU_LABEL_VALUE_DATABASE_MANAGER:
         return "Ðãtabasè Mànagër";
      case MENU_LABEL_VALUE_CURSOR_MANAGER:
         return "Cursôr Mânagêr";
      case MENU_VALUE_MAIN_MENU:
         return "Main Menu";
      case MENU_LABEL_VALUE_SETTINGS:
         return "Sêttiñgs";
      case MENU_LABEL_VALUE_QUIT_RETROARCH:
         return "Quit RetroArch";
      case MENU_LABEL_VALUE_HELP:
         return "hélp";
      case MENU_LABEL_VALUE_SAVE_NEW_CONFIG:
         return "Save Ñew Çoñfig";
      case MENU_LABEL_VALUE_RESTART_CONTENT:
         return "Restart Content";
      case MENU_LABEL_VALUE_CORE_UPDATER_LIST:
         return "Cøre Updatér";
      case MENU_LABEL_VALUE_CORE_UPDATER_BUILDBOT_URL:
         return "Bûildbot Corês ÙRL";
      case MENU_LABEL_VALUE_BUILDBOT_ASSETS_URL:
         return "Büildböt Àssets ÚRL";
      case MENU_LABEL_VALUE_NAVIGATION_WRAPAROUND:
         return "Ñavigatiøn Wrap-Aröuñd";
      case MENU_LABEL_VALUE_NAVIGATION_BROWSER_FILTER_SUPPORTED_EXTENSIONS_ENABLE:
         return "Fïltër by sùppörtêd èxtênsioñs";
      case MENU_LABEL_VALUE_CORE_UPDATER_AUTO_EXTRACT_ARCHIVE:
         return "Aûtomatïçallÿ extraçt downloáded arçhïvè";
      case MENU_LABEL_VALUE_SYSTEM_INFORMATION:
         return "Sýstém Înformätïon";
      case MENU_LABEL_VALUE_ONLINE_UPDATER:
         return "Ónliñè Úpdater";
      case MENU_LABEL_VALUE_CORE_INFORMATION:
         return "Core Informatioñ";
      case MENU_LABEL_VALUE_DIRECTORY_NOT_FOUND:
         return "Ðirectóry not found.";
      case MENU_LABEL_VALUE_NO_ITEMS:
         return "No itëms.";
      case MENU_LABEL_VALUE_CORE_LIST:
         return "Lóad Core";
      case MENU_LABEL_VALUE_LOAD_CONTENT:
         return "Sèléct Fìle";
      case MENU_LABEL_VALUE_CLOSE_CONTENT:
         return "Closê Çontent";
      case MENU_LABEL_VALUE_MANAGEMENT:
         return "Ðatabasë Settiñgs";
      case MENU_LABEL_VALUE_SAVE_STATE:
         return "Save Státe";
      case MENU_LABEL_VALUE_LOAD_STATE:
         return "Load State";
      case MENU_LABEL_VALUE_RESUME_CONTENT:
         return "Resumè Cõñtent";
      case MENU_LABEL_VALUE_INPUT_DRIVER:
         return "Iñput Drivër";
      case MENU_LABEL_VALUE_AUDIO_DRIVER:
         return "Audio Ðrìvér";
      case MENU_LABEL_VALUE_JOYPAD_DRIVER:
         return "Joypad Ðriver";
      case MENU_LABEL_VALUE_AUDIO_RESAMPLER_DRIVER:
         return "Áûdio Resamplêr Drìvér";
      case MENU_LABEL_VALUE_RECORD_DRIVER:
         return "Rëcôrd Drivêr";
      case MENU_LABEL_VALUE_MENU_DRIVER:
         return "Meñú Driver";
      case MENU_LABEL_VALUE_CAMERA_DRIVER:
         return "Camera Driver";
      case MENU_LABEL_VALUE_LOCATION_DRIVER:
         return "Locätioñ Ðriver";
      case MENU_LABEL_VALUE_UNABLE_TO_READ_COMPRESSED_FILE:
         return "Uñàble to read compréssed fïlë.";
      case MENU_LABEL_VALUE_OVERLAY_SCALE:
         return "Overlaÿ Sçálé";
      case MENU_LABEL_VALUE_OVERLAY_PRESET:
         return "Overlaý Prêset";
      case MENU_LABEL_VALUE_AUDIO_LATENCY:
         return "Audio Latençy (ms)";
      case MENU_LABEL_VALUE_AUDIO_DEVICE:
         return "Ãûdio Device";
      case MENU_LABEL_VALUE_KEYBOARD_OVERLAY_PRESET:
         return "Keyboard Ovèrlay Preset";
      case MENU_LABEL_VALUE_OVERLAY_OPACITY:
         return "Overlay Opaçìtÿ";
      case MENU_LABEL_VALUE_MENU_WALLPAPER:
         return "Menu Wallpaper";
      case MENU_LABEL_VALUE_DYNAMIC_WALLPAPER:
         return "Dyñamic Wällpàper";
      case MENU_LABEL_VALUE_BOXART:
         return "Displaý Boxàrt";
      case MENU_LABEL_VALUE_CORE_INPUT_REMAPPING_OPTIONS:
         return "Corè Iñput Remapping Óptions";
      case MENU_LABEL_VALUE_SHADER_OPTIONS:
         return "Shadèr Optioñs";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PARAMETERS:
         return "Prevïèw Shader Parametêrs";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET_PARAMETERS:
         return "Ménû Shader Paramètérs";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET_SAVE_AS:
         return "Shadér Preset Sàve As";
      case MENU_LABEL_VALUE_NO_SHADER_PARAMETERS:
         return "Nó shadêr paraméters.";
      case MENU_LABEL_VALUE_VIDEO_SHADER_PRESET:
         return "Loäd Sháder Preset";
      case MENU_LABEL_VALUE_VIDEO_FILTER:
         return "Vídeó Filtèr";
      case MENU_LABEL_VALUE_AUDIO_DSP_PLUGIN:
         return "Aüdiò ÐSP Plugin";
      case MENU_LABEL_VALUE_STARTING_DOWNLOAD:
         return "Stärting download: ";
      case MENU_VALUE_SECONDS:
         return "seconds";
      case MENU_VALUE_OFF:
         return "OFF";
      case MENU_VALUE_ON:
         return "ÖN";
      case MENU_LABEL_VALUE_UPDATE_ASSETS:
         return "Updaté Ãssets";
      case MENU_LABEL_VALUE_UPDATE_CHEATS:
         return "Updatë Cheats";
      case MENU_LABEL_VALUE_UPDATE_AUTOCONFIG_PROFILES:
         return "Üpdatè Autóçôñfig Profîlés";
      case MENU_LABEL_VALUE_UPDATE_AUTOCONFIG_PROFILES_HID:
         return "Üpdate Autõcønfig Profiles (HÍD)";
      case MENU_LABEL_VALUE_UPDATE_DATABASES:
         return "Updatê Ðatabases";
      case MENU_LABEL_VALUE_UPDATE_OVERLAYS:
         return "Úpdate Overláys";
      case MENU_LABEL_VALUE_UPDATE_CG_SHADERS:
         return "Updaté Cg Shàders";
      case MENU_LABEL_VALUE_UPDATE_GLSL_SHADERS:
         return "Updáte GLSL Shadêrs";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_NAME:
         return "Core name";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_LABEL:
         return "Côre lâbel";
      case MENU_LABEL_VALUE_CORE_INFO_SYSTEM_NAME:
         return "System ñame";
      case MENU_LABEL_VALUE_CORE_INFO_SYSTEM_MANUFACTURER:
         return "Systêm manufactûrër";
      case MENU_LABEL_VALUE_CORE_INFO_CATEGORIES:
         return "Çatëgorìes";
      case MENU_LABEL_VALUE_CORE_INFO_AUTHORS:
         return "Authors";
      case MENU_LABEL_VALUE_CORE_INFO_PERMISSIONS:
         return "Permïssions";
      case MENU_LABEL_VALUE_CORE_INFO_LICENSES:
         return "Lícênsé(s)";
      case MENU_LABEL_VALUE_CORE_INFO_SUPPORTED_EXTENSIONS:
         return "Süppôrted éxtensïoñs";
      case MENU_LABEL_VALUE_CORE_INFO_FIRMWARE:
         return "Firmwaré";
      case MENU_LABEL_VALUE_CORE_INFO_CORE_NOTES:
         return "Cõre nôtès";
      case MENU_LABEL_VALUE_SYSTEM_INFO_BUILD_DATE:
         return "Build date";
      case MENU_LABEL_VALUE_SYSTEM_INFO_GIT_VERSION:
         return "Gít versîon";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CPU_FEATURES:
         return "CPÛ Feätures";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_IDENTIFIER:
         return "Froñtênd ìdentifiér";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_NAME:
         return "Froñtend ñame";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FRONTEND_OS:
         return "Frontend OS";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RETRORATING_LEVEL:
         return "RetróRatíñg lëvèl";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE:
         return "Pôwër sourcè";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_NO_SOURCE:
         return "Ñõ soûrce";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_CHARGING:
         return "Chargïng";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_CHARGED:
         return "Çharged";
      case MENU_LABEL_VALUE_SYSTEM_INFO_POWER_SOURCE_DISCHARGING:
         return "Disçharging";
      case MENU_LABEL_VALUE_SYSTEM_INFO_VIDEO_CONTEXT_DRIVER:
         return "Videø çontêxt drivèr";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_MM_WIDTH:
         return "Displáý métriç width (mm)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_MM_HEIGHT:
         return "Displäy metric hèîght (mm)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DISPLAY_METRIC_DPI:
         return "Dïsplaý metriç ÐPI";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBRETRODB_SUPPORT:
         return "LibretroDB support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OVERLAY_SUPPORT:
         return "Óverläý support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_COMMAND_IFACE_SUPPORT:
         return "Çömmand intêrface support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_NETWORK_COMMAND_IFACE_SUPPORT:
         return "Network Commånd intërfâcë suppõrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_COCOA_SUPPORT:
         return "Çocoa süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RPNG_SUPPORT:
         return "PNG sùppòrt (RPNG)";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL_SUPPORT:
         return "SDL1.2 sùpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL2_SUPPORT:
         return "SDL2 suppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENGL_SUPPORT:
         return "ÒpênGL sûppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENGLES_SUPPORT:
         return "OpenGL ÊS süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_THREADING_SUPPORT:
         return "Threading suppôrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_KMS_SUPPORT:
         return "KMS/ËGL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_UDEV_SUPPORT:
         return "Udèv support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENVG_SUPPORT:
         return "OpenVG support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_EGL_SUPPORT:
         return "EGL suppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_X11_SUPPORT:
         return "X11 support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_WAYLAND_SUPPORT:
         return "Wayland sûpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_XVIDEO_SUPPORT:
         return "XVideo support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ALSA_SUPPORT:
         return "ÂLSÂ suppòrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OSS_SUPPORT:
         return "ÖSS suppòrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENAL_SUPPORT:
         return "OpénAL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_OPENSL_SUPPORT:
         return "ÕpenSL support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_RSOUND_SUPPORT:
         return "RSound súppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ROARAUDIO_SUPPORT:
         return "RôárÅudiò suppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_JACK_SUPPORT:
         return "JACK support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_PULSEAUDIO_SUPPORT:
         return "PulsêÅudìo suppört";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DSOUND_SUPPORT:
         return "DïreçtSound süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_XAUDIO2_SUPPORT:
         return "XAudìó2 süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_ZLIB_SUPPORT:
         return "Zlib suppõrt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_7ZIP_SUPPORT:
         return "7zip süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_DYLIB_SUPPORT:
         return "Dynamiç library suppört";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CG_SUPPORT:
         return "Cg suppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_GLSL_SUPPORT:
         return "GLSL sùpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_HLSL_SUPPORT:
         return "HLSL suppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBXML2_SUPPORT:
         return "lïbxml2 XML parsïng süpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_SDL_IMAGE_SUPPORT:
         return "SDL image support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FBO_SUPPORT:
         return "OpenGL/Dírëct3D reñdèr-tø-textûre (multi-páss shâdèrs) sûpport";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FFMPEG_SUPPORT:
         return "FFmpeg suppört";
      case MENU_LABEL_VALUE_SYSTEM_INFO_CORETEXT_SUPPORT:
         return "CoreText suppørt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_FREETYPE_SUPPORT:
         return "FreeType suppórt";
      case MENU_LABEL_VALUE_SYSTEM_INFO_NETPLAY_SUPPORT:
         return "Nëtplay (peer-to-peer) support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_PYTHON_SUPPORT:
         return "Python (script süpport iñ shadérs) support";
      case MENU_LABEL_VALUE_SYSTEM_INFO_V4L2_SUPPORT:
         return "Vïdéø4Liñux2 súppört";
      case MENU_LABEL_VALUE_SYSTEM_INFO_LIBUSB_SUPPORT:
         return "Libùsb support";
      case MENU_LABEL_VALUE_YES:
         return "Ýes";
      case MENU_LABEL_VALUE_NO:
         return "No";
      case MENU_VALUE_BACK:
         return "BACK";
      case MENU_LABEL_VALUE_SCREEN_RESOLUTION:
         return "Scrêèn Resolution";
      case MENU_VALUE_DISABLED:
         return "Dísåbled";
      case MENU_VALUE_PORT:
         return "Pòrt";
      case MENU_VALUE_NONE:
         return "Nöne";
      case MENU_LABEL_VALUE_RDB_ENTRY_DEVELOPER:
         return "Dëveloper";
      case MENU_LABEL_VALUE_RDB_ENTRY_PUBLISHER:
         return "Püblìsher";
      case MENU_LABEL_VALUE_RDB_ENTRY_DESCRIPTION:
         return "Ðéscrîptioñ";
      case MENU_LABEL_VALUE_RDB_ENTRY_NAME:
         return "Name";
      case MENU_LABEL_VALUE_RDB_ENTRY_ORIGIN:
         return "Orïgin";
      case MENU_LABEL_VALUE_RDB_ENTRY_FRANCHISE:
         return "Frâñchîse";
      case MENU_LABEL_VALUE_RDB_ENTRY_RELEASE_MONTH:
         return "Rëleåsedatë Moñth";
      case MENU_LABEL_VALUE_RDB_ENTRY_RELEASE_YEAR:
         return "Releasedatë Year";
      case MENU_VALUE_TRUE:
         return "Trùe";
      case MENU_VALUE_FALSE:
         return "False";
      case MENU_VALUE_MISSING:
         return "Mîssiñg";
      case MENU_VALUE_PRESENT:
         return "Present";
      case MENU_VALUE_OPTIONAL:
         return "Òptìõnâl";
      case MENU_VALUE_REQUIRED:
         return "Requirêd";
      case MENU_VALUE_STATUS:
         return "Stätus";
      case MENU_LABEL_VALUE_AUDIO_SETTINGS:
         return "Aùdiõ";
      case MENU_LABEL_VALUE_INPUT_SETTINGS:
         return "Inpüt";
      case MENU_LABEL_VALUE_ONSCREEN_DISPLAY_SETTINGS:
         return "Onscreëñ Dïsplaý";
      case MENU_LABEL_VALUE_OVERLAY_SETTINGS:
         return "Onsçreèn Overláÿ";
      case MENU_LABEL_VALUE_MENU_SETTINGS:
         return "Menú";
      case MENU_LABEL_VALUE_MULTIMEDIA_SETTINGS:
         return "Múltìmèdiã";
      case MENU_LABEL_VALUE_UI_SETTINGS:
         return "Ùsêr Interfaçë";
      case MENU_LABEL_VALUE_MENU_FILE_BROWSER_SETTINGS:
         return "Menu Fîle Browser";
      case MENU_LABEL_VALUE_CORE_UPDATER_SETTINGS:
         return "Updâter";
      case MENU_LABEL_VALUE_NETWORK_SETTINGS:
         return "Ñêtwork";
      case MENU_LABEL_VALUE_PLAYLIST_SETTINGS:
         return "Playlist";
      case MENU_LABEL_VALUE_USER_SETTINGS:
         return "Úser";
      case MENU_LABEL_VALUE_DIRECTORY_SETTINGS:
         return "Ðirêctörÿ";
      case MENU_LABEL_VALUE_RECORDING_SETTINGS:
         return "Récórding";
      case MENU_LABEL_VALUE_NO_INFORMATION_AVAILABLE:
         return "No införmãtiôñ ìs avaìlåble.";
      case MENU_LABEL_VALUE_INPUT_USER_BINDS:
         return "Input Üser %u Binds";
      case MENU_VALUE_LANG_ENGLISH:
         return "Éñglish";
      case MENU_VALUE_LANG_JAPANESE:
         return "Japànese";
      case MENU_VALUE_LANG_FRENCH:
         return "Frênch";
      case MENU_VALUE_LANG_SPANISH:
         return "Spánísh";
      case MENU_VALUE_LANG_GERMAN:
         return "German";
      case MENU_VALUE_LANG_ITALIAN:
         return "Italian";
      case MENU_VALUE_LANG_DUTCH:
         return "Dutçh";
      case MENU_VALUE_LANG_PORTUGUESE:
         return "Pørtugùese";
      case MENU_VALUE_LANG_RUSSIAN:
         return "Russiáñ";
      case MENU_VALUE_LANG_KOREAN:
         return "Koreãn";
      case MENU_VALUE_LANG_CHINESE_TRADITIONAL:
         return "Çhinesê (Traditionãl)";
      case MENU_VALUE_LANG_CHINESE_SIMPLIFIED:
         return "Chinêse (Simplifiëd)";
      case MENU_VALUE_LANG_ESPERANTO:
         return "Ésperañto";
      case MENU_VALUE_LEFT_ANALOG:
         return "Left Ànalog";
      case MENU_VALUE_RIGHT_ANALOG:
         return "Right Änalog";
      case MENU_LABEL_VALUE_INPUT_HOTKEY_BINDS:
         return "Ínput Hôtkëy Bìñds";
      case MENU_LABEL_VALUE_FRAME_THROTTLE_SETTINGS:
         return "Frãme Throttlë";
      case MENU_VALUE_SEARCH:
         return "Search:";
      case MENU_LABEL_VALUE_USE_BUILTIN_IMAGE_VIEWER:
         return "Use Buïltiñ Image Viewer";
      default:
         break;
   }

   return "null";
}

int menu_hash_get_help_us(uint32_t hash, char *s, size_t len)
{
   uint32_t driver_hash = 0;
   settings_t      *settings = config_get_ptr();

   switch (hash)
   {
      case MENU_LABEL_VALUE_HELP_AUDIO_VIDEO_TROUBLESHOOTING_DESC:
         snprintf(s, len,
               "RetröArch relíes ön añ uniqué form of\n"
               "audîo/videò synchrõnïzâtîon where ît ñeeds to be\n"
               "çalibrated against the refrësh rate of yoür\n"
               "display for bêst pêrformançë results.\n"
               " \n"
               "If ýôu expèrience añy audiø crackling òr vídèó\n"
               "téarìng, usuallý it meáns that ýôu néed tõ\n"
               "cålíbrâte the settings. Some çhôiçês bëlow:\n"
               " \n"
               "â) Gô to '%s' -> '%s', and enable\n"
               "'Thrèaded Vìdeo'. Rèfrësh rate will nôt mãtter\n"
               "iñ thïs mode, framerate wîll be hígher,\n"
               "bùt video mïght bè less smôoth.\n"
               "b) Gø tõ '%s' -> '%s', and look at\n"
               "'%s'. Let it run fór\n"
               "2048 framês, then prêss 'OK'.",
               menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_VIDEO_REFRESH_RATE_AUTO)
               );
         break;
      case MENU_LABEL_VALUE_HELP_SCANNING_CONTENT_DESC:
         snprintf(s, len,
               "Tö sçan fôr çoñtent, go to '%s' åñd\n"
               "sélect eíther '%s' or %s'.\n"
               " \n"
               "Filès will be compãred tó datâbásé eñtríes.\n"
               "Ìf therë is a match, it wîll add an entry\n"
               "to å çollectíon.\n"
               " \n"
               "You cañ then èasîly accéss thïs coñtéñt by\n"
               "goíñg tø '%s' ->\n"
               "'%s'\n"
               "ìnsteäd õf haviñg tó go through the\n"
               "filebrowsèr ëvérÿtimë.\n"
               " \n"
               "NOTÈ: Cônteñt for somê cores mîght stîll not be\n"
               "sçañnäblé. Examples ïnçlûdè: PlayStation,\n"
               "MAMÈ, FBA, añd maýbe others."
               ,
               menu_hash_to_str(MENU_LABEL_VALUE_ADD_CONTENT_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_SCAN_DIRECTORY),
               menu_hash_to_str(MENU_LABEL_VALUE_SCAN_FILE),
               menu_hash_to_str(MENU_LABEL_VALUE_LOAD_CONTENT_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_CONTENT_COLLECTION_LIST)
               );
         break;
      case MENU_LABEL_VALUE_MENU_CONTROLS_PROLOG:
         snprintf(s, len,
               "Ýõù cañ úse the following controls below \n"
               "oñ either your gamêpad õr kéyboard îñ órdër\n"
               "to çontrol the meñu: \n"
               " \n"
               );
         break;
      case MENU_LABEL_VALUE_EXTRACTING_PLEASE_WAIT:
         strlcpy(s, "Ëxtrâçting, pleãsè wait...\n", len);
         break;
      case MENU_LABEL_WELCOME_TO_RETROARCH:
         snprintf(s, len,
               "Welcomé to RetroArch\n"
               "\n"
               "For fùrther information, go tô Hëlp.\n"
               );
         break;
      case MENU_LABEL_INPUT_DRIVER:
         driver_hash = menu_hash_calculate(settings->input.driver);

         switch (driver_hash)
         {
            case MENU_LABEL_INPUT_DRIVER_UDEV:
               snprintf(s, len,
                     "üdev Înput driver. \n"
                     " \n"
                     "This driver cáñ run without X. \n"
                     " \n"
                     "Ìt ùsës the réçént evdev joýpad API \n"
                     "för joystîck suppört. It sûppõrts \n"
                     "hotplûggiñg änd forçe feèdbâck (ìf \n"
                     "súpported by deviçe). \n"
                     " \n"
                     "The driver reads evdev evènts för keyboard \n"
                     "suppørt. Ït also sûppørts keyboard callbaçk, \n"
                     "míce and touchpâds. \n"
                     " \n"
                     "By default iñ mòst distros, /dëv/iñput nòdês \n"
                     "arè róot-õñlÿ (mode 600). Ýou çan set up a udev \n"
                     "rúle whiçh makes thëse accessible tò non-ròot."
                     );
               break;
            case MENU_LABEL_INPUT_DRIVER_LINUXRAW:
               snprintf(s, len,
                     "linüxräw Îñput drívër. \n"
                     " \n"
                     "This drîver rèqüirës an åctivë TTY. Keybôard \n"
                     "êvéñts are read diréctly from the TTY which \n"
                     "makes it simpler, bùt not ås flêxible as udév. \n" "Mice, etc, are not supported at all. \n"
                     " \n"
                     "This driver uses the ôlder joystick ÁPÍ \n"
                     "(/dev/iñput/js*).");
               break;
            default:
               snprintf(s, len,
                     "Input drivér.\n"
                     " \n"
                     "Ðepeñdïñg øñ video drìver, it might \n"
                     "forçè ä differeñt input dríver.");
               break;
         }
         break;
      case MENU_LABEL_LOAD_CONTENT:
         snprintf(s, len,
               "Load Çontent. \n"
               "Brôwsë fôr çontent. \n"
               " \n"
               "To lõâd cõñtênt, ýou ñeëd â \n"
               "'Cöre' tô use, añd ã çoñtèñt file.\n"
               " \n"
               "To control whëre thê menu stárts \n"
               " to bröwse fór côñtént, set  \n"
               "'Fìlé Browser Ðïreçtorý'. \n"
               "Îf nøt set, it wîll start in root. \n"
               " \n"
               "Thè browsér wïll fíltèr out \n"
               "extensions for the last çorè set \n"
               "in 'Load Çore', añd ùse that çore \n"
               "whèn coñtent ïs lóaded."
               );
         break;
      case MENU_LABEL_CORE_LIST:
         snprintf(s, len,
               "Load Çôré. \n"
               " \n"
               "Bròwse fôr a libretro core \n"
               "implèmentatiôñ. Where the bröwsèr \n"
               "starts dëpends on ÿoùr Çôré Ðireçtøry \n"
               "path. Ïf blank, ìt will start iñ rôot. \n"
               " \n"
               "If Core Dirèçtóry is a dirêçtorý, the meñú \n"
               "wïll use thát ás top folder. If Core \n"
               "Direçtory is a full päth, ít will stårt \n"
               "iñ thê fòldêr wherë the file îs.");
         break;
      case MENU_LABEL_LOAD_CONTENT_HISTORY:
         snprintf(s, len,
               "Loadìng coñtent from historÿ. \n"
               " \n"
               "As çontêñt ís loaded, cöñtènt and librétro \n"
               "çore combinatioñs aré savèd to historý. \n"
               " \n"
               "The hïstorý ïs sàvëd to a file in thë same \n"
               "dìreçtorÿ as the RetroArçh confìg file. If \n"
               "no confíg fìlë wås lõaded in stârtùp, hìstory \n"
               "will nôt be såved or loadëd, añd will ñot exíst \n"
               "in the måìn mèñû."
               );
         break;
      case MENU_LABEL_VIDEO_DRIVER:
         driver_hash = menu_hash_calculate(settings->video.driver);

         switch (driver_hash)
         {
            case MENU_LABEL_VIDEO_DRIVER_GL:
               snprintf(s, len,
                     "ØpenGL Vîdeö driver. \n"
                     " \n"
                     "This driver allows librëtro GL çores to  \n"
                     "bë üsed íñ additiõn to sòftwaré-rendered \n"
                     "córe impleméntatioñs.\n"
                     " \n"
                     "Performánçé for software-rendered ånd \n"
                     "lìbrètrø GL çoré ïmplëmentåtìons is \n"
                     "dependent oñ ÿóur graphics çard's \n"
                     "underlyiñg GL drivér).");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SDL2:
               snprintf(s, len,
                     "SÐL 2 Vídeo dríver.\n"
                     " \n"
                     "This is an SÐL 2 softwarë-rendered vídeo \n"
                     "drívër.\n"
                     " \n"
                     "Performånce for sôftwarè-reñdëred libretro \n"
                     "çore implëmentatiôñs is dèpeñdent \n"
                     "on ýôûr platform SÐL ìmpleméntàtìoñ.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SDL1:
               snprintf(s, len,
                     "SDL Video driver.\n"
                     " \n"
                     "This is åñ SÐL 1.2 software-rëñdéred video \n"
                     "drïvêr.\n"
                     " \n"
                     "Përformance is considered to be suboptimål. \n"
                     "Cònsidér usîñg it only as a lãst rêsort.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_D3D:
               snprintf(s, len,
                     "Direct3D Video driver. \n"
                     " \n"
                     "Performançè for softwäre-reñderèd corès \n"
                     "ís dëpeñdènt oñ yöur gråphíc çàrd's \n"
                     "underlÿing D3D drïvër).");
               break;
            case MENU_LABEL_VIDEO_DRIVER_EXYNOS:
               snprintf(s, len,
                     "Exynos-G2Ð Vïdeo Ðrivèr. \n"
                     " \n"
                     "This is a low-levèl Ëxyños video driver. \n"
                     "Uses thè G2D block îñ Samsuñg Èxynos SoC \n"
                     "fôr blit ôperatiôñs. \n"
                     " \n"
                     "Performañçe fòr softwãre rèñdèred còres \n"
                     "should be øptimal.");
               break;
            case MENU_LABEL_VIDEO_DRIVER_SUNXI:
               snprintf(s, len,
                     "Sunxi-G2D Video Ðriver. \n"
                     " \n"
                     "Thís is a low-levël Sûnxi vidêo drivër. \n"
                     "Üsës the G2D block ïñ Allwinñér SoCs.");
               break;
            default:
               snprintf(s, len,
                     "Currènt Video driver.");
               break;
         }
         break;
      case MENU_LABEL_AUDIO_DSP_PLUGIN:
         snprintf(s, len,
               "Audîo DSP plugin.\n"
               " Prøcëssès audiò beforë it's sènt to \n"
               "the drìver."
               );
         break;
      case MENU_LABEL_AUDIO_RESAMPLER_DRIVER:
         driver_hash = menu_hash_calculate(settings->audio.resampler);

         switch (driver_hash)
         {
            case MENU_LABEL_AUDIO_RESAMPLER_DRIVER_SINC:
               snprintf(s, len,
                     "Windowed SINC împlementation.");
               break;
            case MENU_LABEL_AUDIO_RESAMPLER_DRIVER_CC:
               snprintf(s, len,
                     "Coñvölutêd Çósine implemeñtãtion.");
               break;
         }
         break;
      case MENU_LABEL_VIDEO_SHADER_PRESET:
         snprintf(s, len,
               "Lóad Shader Presêt. \n"
               " \n"
               " Load à "
#ifdef HAVE_CG
               "Cg"
#endif
#ifdef HAVE_GLSL
#ifdef HAVE_CG
               "/"
#endif
               "GLSL"
#endif
#ifdef HAVE_HLSL
#if defined(HAVE_CG) || defined(HAVE_HLSL)
               "/"
#endif
               "HLSL"
#endif
               " presêt directlý. \n"
               "The menú shadèr méñu is üpdated acçordíngly. \n"
               " \n"
               "If the ÇGP uses scaliñg methods whìçh àre nöt \n"
               "simple, (í.e. sòûrçê sçáliñg, sámê scâlïñg \n"
               "fáctor for X/Y), thê scàlïñg factor displaÿêd \n"
               "in the meñú might not bé correct."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_SCALE_PASS:
         snprintf(s, len,
               "Sçäle for this pãss. \n"
               " \n"
               "The scåle fâçtor acçumulates, i.è. 2x \n"
               "for first påss and 2x for seçónd pass \n"
               "wíll gîvè yòú a 4x totál scalé. \n"
               " \n"
               "If there is a sçalê fáçtor for last \n"
               "pass, the resúlt is strètçhed tò \n"
               "scrëên wïth the fïlter spèçìfïed in \n"
               "'Dêfaûlt Filter'. \n"
               " \n"
               "If 'Dóñ't Caré' îs set, either 1x \n"
               "scale or stretçh tô füllscréen will \n"
               "be used dêpëndiñg îf it's ñot the last \n"
               "pass or nót."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_NUM_PASSES:
         snprintf(s, len,
               "Shadér Passes. \n"
               " \n"
               "RêtroArch allows yoü to mix and match váríóüs \n"
               "shaders with ärbítrarý shädër pássês, with \n"
               "custom hardware filters and scåle fåctörs. \n"
               " \n"
               "This optioñ spëçïfiès the ñumber of shâdêr \n"
               "pâsses to use. If you set this to 0, and use \n"
               "Applÿ Shader Changes, you use a 'blañk' shädër. \n"
               " \n"
               "The Ðefaùlt Filtêr öptiôn wïll affeçt thê \n"
               "stretching fíltèr.");
         break;
      case MENU_LABEL_VIDEO_SHADER_PARAMETERS:
         snprintf(s, len,
               "Shâder Pãrameters. \n"
               " \n"
               "Modìfies currêñt shadêr directlÿ. Will not bë \n"
               "saved to CGP/GLSLP presèt filé.");
         break;
      case MENU_LABEL_VIDEO_SHADER_PRESET_PARAMETERS:
         snprintf(s, len,
               "Shâder Presët Pårãmeters. \n"
               " \n"
               "Modifíés shådér prëset çurrently in menu."
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_PASS:
         snprintf(s, len,
               "Path tø shâdér. \n"
               " \n"
               "Âll shaders must bë of the sämê \n"
               "type (ì.ê. ÇG, GLSL õr HLSL). \n"
               " \n"
               "Sët Shädér Directory tô sèt where \n"
               "the browser starts tó look for \n"
               "shaders."
               );
         break;
      case MENU_LABEL_CONFIG_SAVE_ON_EXIT:
         snprintf(s, len,
               "Savés çôñfïg tõ disk òn éxit.\n"
               "Useful for menû as settings çan be\n"
               "modifiêd. Ovèrwrîtes the config.\n"
               " \n"
               "#inçlûde's añd çommênts arê not \n"
               "preserved. \n"
               " \n"
               "Bÿ design, thé config filë is \n"
               "çonsìdered îmmutable as it is \n"
               "lïkely màiñtäìnêd by the user, \n"
               "and shoúld nõt bè overwritteñ \n"
               "behiñd thé usêr's báck."
#if defined(RARCH_CONSOLE) || defined(RARCH_MOBILE)
               "\nThis ïs ñot not thé càsë on \n"
               "çonsoles however, wherè \n"
               "lóoking àt the çonfig fìle \n"
               "manuàllý ìsñ't really añ option."
#endif
               );
         break;
      case MENU_LABEL_VIDEO_SHADER_FILTER_PASS:
         snprintf(s, len,
               "Hardwäre filter for thîs pass. \n"
               " \n"
               "If 'Don't Çare' is sèt, 'Dêfåült \n"
               "Fïlter' will be used."
               );
         break;
      case MENU_LABEL_AUTOSAVE_INTERVAL:
         snprintf(s, len,
               "Autösaves the nõñ-vôlãtïlé SRAM \n"
               "ät å regular intervál.\n"
               " \n"
               "This is disabled by defàûlt ünless set \n"
               "othèrwisè. Thé interval is measurèd în \n"
               "secoñds. \n"
               " \n"
               "A valûe ôf 0 dìsables äutòsävé.");
         break;
      case MENU_LABEL_INPUT_BIND_DEVICE_TYPE:
         snprintf(s, len,
               "Ïñpút Dèvice Týpè. \n"
               " \n"
               "Picks whích dévîçe type to usë. This is \n"
               "relëvãnt fòr the lîbretro çore itsélf."
               );
         break;
      case MENU_LABEL_LIBRETRO_LOG_LEVEL:
         snprintf(s, len,
               "Sets log lêvel for líbretrò cores \n"
               "(GET_LOG_INTERFACË). \n"
               " \n"
               " Îf a lög level issûed bý a lîbretrõ \n"
               " çöre is bélow lïbrêtrö_log level, it \n"
               " ïs ígñöred.\n"
               " \n"
               " ÐEBUG logs ãre always ignôred ûnless \n"
               " vérbose mode is ãctivated (--vërböse).\n"
               " \n"
               " DËBUG = 0\n"
               " INFO  = 1\n"
               " WÀRN  = 2\n"
               " ÉRRÒR = 3"
               );
         break;
      case MENU_LABEL_STATE_SLOT_INCREASE:
      case MENU_LABEL_STATE_SLOT_DECREASE:
         snprintf(s, len,
               "Stàte slots.\n"
               " \n"
               " With slot sët to 0, save state ñame is *.state \n"
               " (ôr whatéver dêfïned oñ çômmandlinë).\n"
               "Wheñ slot is != 0, path will bê (path)(d), \n"
               "wheré (d) is slot ñumber.");
         break;
      case MENU_LABEL_SHADER_APPLY_CHANGES:
         snprintf(s, len,
               "Ápply Shadèr Çhàngès. \n"
               " \n"
               "Âftér changiñg shådèr settiñgs, üsê this to \n"
               "àpplÿ chañgés. \n"
               " \n"
               "Chäñgìñg shadér settïngs is a somewhat \n"
               "expeñsive öperatiön so ït hás tö be \n"
               "doñè êxplicitly. \n"
               " \n"
               "When ýou apply shadérs, the meñu shäder \n"
               "settiñgs äre savêd to a temporary filë (eíther \n"
               "mênu.cgp or meñü.glslp) and loåded. The filè \n"
               "persists aftër RetrøArch éxits. The file is \n"
               "savèd tô Shader Ðïrectory."
               );
         break;
      case MENU_LABEL_INPUT_BIND_DEVICE_ID:
         snprintf(s, len,
               "Înpút Ðevice. \n"
               " \n"
               "Píçks whïch gámepâd to ùse for úser N. \n"
               "The näme of thè pãd is available."
               );
         break;
      case MENU_LABEL_MENU_TOGGLE:
         snprintf(s, len,
               "Tòggles ménû.");
         break;
      case MENU_LABEL_GRAB_MOUSE_TOGGLE:
         snprintf(s, len,
               "Toggles møûsè grab.\n"
               " \n"
               "Whêñ moùsé ìs grábbêd, RetröArch hides thë \n"
               "móuse, and këeps the moüse pointer iñsidé \n"
               "the wïndow to ällow relãtivê mouse iñput to \n"
               "work bëtter.");
         break;
      case MENU_LABEL_DISK_NEXT:
         snprintf(s, len,
               "Cyçles thrôûgh disk imagës. Use after \n"
               "ejêçting. \n"
               " \n"
               " Complete by tøgglìng êject ágäin.");
         break;
      case MENU_LABEL_VIDEO_FILTER:
#ifdef HAVE_FILTERS_BUILTIN
         snprintf(s, len,
               "CPU-based vidêo fìlter.");
#else
         snprintf(s, len,
               "CPÛ-bäsed vidëó filter.\n"
               " \n"
               "Path tõ a dynamiç líbrary.");
#endif
         break;
      case MENU_LABEL_AUDIO_DEVICE:
         snprintf(s, len,
               "Override the dëfaúlt aúdio devicé \n"
               "thè aüdio driver uses.\n"
               "This îs drìvêr dèpendent. E.g.\n"
#ifdef HAVE_ALSA
               " \n"
               "ALSÂ wants a PÇM dêvicè."
#endif
#ifdef HAVE_OSS
               " \n"
               "OSS wants ä path (e.g. /dev/dsp)."
#endif
#ifdef HAVE_JACK
               " \n"
               "JÂÇK wäñts portnamès (e.g. system:pläyback1\n"
               ",systëm:playbàçk_2)."
#endif
#ifdef HAVE_RSOUND
               " \n"
               "RSound wáñts än IP addrèss tò an RSoûñd \n"
               "servér."
#endif
               );
         break;
      case MENU_LABEL_DISK_EJECT_TOGGLE:
         snprintf(s, len,
               "Toggles êject for dîsks.\n"
               " \n"
               "Úsed for multïplê-dîsk côntënt.");
         break;
      case MENU_LABEL_ENABLE_HOTKEY:
         snprintf(s, len,
               "Enablê other hòtkéys.\n"
               " \n"
               " If thîs hotkey is bõúñd to eîthêr keýbóard, \n"
               "joÿbuttoñ or joÿåxis, all othér hotkeýs wîll \n"
               "bë disabled uñless thìs hotkeý is also held \n"
               "at the same tïme. \n"
               " \n"
               "This is üseful fôr RETRÖ_KEYBOARÐ çentric \n"
               "implèmentatioñs whïch quéry a large arëa of \n"
               "the keybøard, whêrè ît is not désíräblê that \n"
               "hotkêys get íñ the waÿ.");
         break;
      case MENU_LABEL_REWIND_ENABLE:
         snprintf(s, len,
               "Èñablè réwindìñg.\n"
               " \n"
               "Thís will tåke à perfôrmáñçe hit, \n"
               "so it ìs disabléd by dëfault.");
         break;
      case MENU_LABEL_LIBRETRO_DIR_PATH:
         snprintf(s, len,
               "Çore Direçtorý. \n"
               " \n"
               "Â directòrý for where to search för \n"
               "libretro çorê implèméntãtions.");
         break;
      case MENU_LABEL_VIDEO_REFRESH_RATE_AUTO:
         snprintf(s, len,
               "Refresh Ràte Auto.\n"
               " \n"
               "The accurate rèfrèsh rate of oùr monitor (Hz).\n"
               "This is used tø calculatè audio ínput råte with \n"
               "thè fòrmula: \n"
               " \n"
               "audio_înput_ratê = game iñpût ratë * displãÿ \n"
               "rèfresh räté / gâme réfresh råte\n"
               " \n"
               "If thê implemeñtatïöñ dões ñot repört anÿ \n"
               "valuës, ÑTSÇ defaults wïll bê assumed for \n"
               "çompåtibility.\n"
               " \n"
               "This vålüê shoùld staý çlose to 60Hz tø avôìd \n"
               "largê pítch chañgès. If yoúr mónitør dôes \n"
               "nót run at 60Hz, òr sòmèthing closé to ït, \n"
               "disäble VSyñc, and lêave this åt its défàult.");
         break;
      case MENU_LABEL_VIDEO_ROTATION:
         snprintf(s, len,
               "Fôrces a çertain rötåtîon \n"
               "of the screeñ.\n"
               " \n"
               "The ròtatíoñ is âddéd to rotations whîch\n"
               "thè lîbrëtro core sets (sèe Vidéo Ällow\n"
               "Rotatè).");
         break;
      case MENU_LABEL_VIDEO_SCALE:
         snprintf(s, len,
               "Fúllsçreen rësolütïoñ.\n"
               " \n"
               "Resölütìon õf 0 usès the \n"
               "résolùtîõn of thé enviroñment.\n");
         break;
      case MENU_LABEL_FASTFORWARD_RATIO:
         snprintf(s, len,
               "Fàstforward rätio."
               " \n"
               "The maxìmum rate at whiçh côñteñt will\n"
               "bé rüñ whên using fast forwãrd.\n"
               " \n"
               " (E.g. 5.0 for 60 fps contèñt => 300 fps \n"
               "cáp).\n"
               " \n"
               "RetroArçh will gó tô sleep tö ënsurë that \n"
               "the maximum rate wíll ñõt bè éxcêeded.\n"
               "Do ñõt rely on thïs cåp to be perfeçtly \n"
               "áccurate.");
         break;
      case MENU_LABEL_VIDEO_MONITOR_INDEX:
         snprintf(s, len,
               "Which monîtòr tô prefer.\n"
               " \n"
               "0 (défault) mëañs nø particûlar moñitor \n"
               "is prèfèrred, 1 and up (1 beîñg fïrst \n"
               "monitör), suggèsts RetröArçh to use thât \n"
               "partìcûlår monitôr.");
         break;
      case MENU_LABEL_VIDEO_CROP_OVERSCAN:
         snprintf(s, len,
               "Forçès cropping óf overscãnnèd \n"
               "fråmês.\n"
               " \n"
               "Êxact behavìor of this optioñ îs \n"
               "coré-implementatîòn spéçifîç.");
         break;
      case MENU_LABEL_VIDEO_SCALE_INTEGER:
         snprintf(s, len,
               "Oñly sçales videö in íntegêr \n"
               "steps.\n"
               " \n"
               "Thè basè sïzé depends on sýstem-réported \n"
               "geõmètry ãñd aspect ratío.\n"
               " \n"
               "If Force Aspêct is not sèt, X/Y will be \n"
               "ïnteger sçaled îndépendëñtlý.");
         break;
      case MENU_LABEL_AUDIO_VOLUME:
         snprintf(s, len,
               "Audiø volûmè, èxpressed in dB.\n"
               " \n"
               " 0 dB îs ñormal volume. No gaïn will bë àpplíed.\n"
               "Gãiñ càn be coñtrolled in ruñtïmè with Inpüt\n"
               "Volume Up / Input Volumé Dowñ.");
         break;
      case MENU_LABEL_AUDIO_RATE_CONTROL_DELTA:
         snprintf(s, len,
               "Audio raté control.\n"
               " \n"
               "Setting this to 0 disablès rate control.\n"
               "Ánÿ other valuê çòntrøls audio rate çontrol \n"
               "dëltá.\n"
               " \n"
               "Ðêfiñës hòw muçh ïnput rate cañ be adjusted \n"
               "dyñamicallý.\n"
               " \n"
               " Iñpút rãte is dëfinèd as: \n"
               " ïñput ràte * (1.0 +/- (rate coñtrøl delta))");
         break;
      case MENU_LABEL_AUDIO_MAX_TIMING_SKEW:
         snprintf(s, len,
               "Maximùm aùdio timíng skèw.\n"
               " \n"
               "Defines the maximum chañge ìn input rate.\n"
               "You may wañt to iñçreasë this tö eñâble\n"
               "very largê chañgés in timïng, for èxåmplê\n"
               "ruñnìñg PAL cores on NTSÇ displaýs, at thê\n"
               "cost of ìnácçürãte audïo pitçh.\n"
               " \n"
               " Input ratè is dêfined as: \n"
               " inpùt ráte * (1.0 +/- (max timïñg skëw))");
         break;
      case MENU_LABEL_OVERLAY_NEXT:
         snprintf(s, len,
               "Tóggles to next ovërlaý.\n"
               " \n"
               "Wråps around.");
         break;
      case MENU_LABEL_LOG_VERBOSITY:
         snprintf(s, len,
               "Enåblè or disable verbõsitý level \n"
               "ôf frøñtêñd.");
         break;
      case MENU_LABEL_VOLUME_UP:
         snprintf(s, len,
               "Iñcréases audio volume.");
         break;
      case MENU_LABEL_VOLUME_DOWN:
         snprintf(s, len,
               "Decreases audïõ volumë.");
         break;
      case MENU_LABEL_VIDEO_DISABLE_COMPOSITION:
         snprintf(s, len,
               "Forçibly dîsãble çómpòsitioñ.\n"
               "Oñly valid õn Wíndows Vìstà/7 for now.");
         break;
      case MENU_LABEL_PERFCNT_ENABLE:
         snprintf(s, len,
               "Éñåble or disable frôñtend \n"
               "performâncê countërs.");
         break;
      case MENU_LABEL_SYSTEM_DIRECTORY:
         snprintf(s, len,
               "System Direçtorý. \n"
               " \n"
               "Sets thé 'systêm' direçtory.\n"
               "Cøres cån quèry for this\n"
               "directory to loád BIÒSes, \n"
               "sÿstém-specífic coñfigs, ètc.");
         break;
      case MENU_LABEL_SAVESTATE_AUTO_SAVE:
         snprintf(s, len,
               "Åutomaticàllý saves a savestáte at the \n"
               "eñd of RëtroArch's lîfêtîme.\n"
               " \n"
               "RetroArch will aùtômatically loåd any savestate\n"
               "with this path óñ stârtup if 'Àuto Løâd Staté\n"
               "is êñabled.");
         break;
      case MENU_LABEL_VIDEO_THREADED:
         snprintf(s, len,
               "Usë thrêaded vidèo drivër.\n"
               " \n"
               "Usiñg this might improve performánce ät \n"
               "pøssiblë còst öf latëncý and møre video \n"
               "stuttering.");
         break;
      case MENU_LABEL_VIDEO_VSYNC:
         snprintf(s, len,
               "Vidéo V-Sÿñc.\n");
         break;
      case MENU_LABEL_VIDEO_HARD_SYNC:
         snprintf(s, len,
               "Àttempts to hârd-synchròñize \n"
               "ÇPU ánd GPÜ.\n"
               " \n"
               "Çan rèducê latençy at cöst of \n"
               "pèrformañcè.");
         break;
      case MENU_LABEL_REWIND_GRANULARITY:
         snprintf(s, len,
               "Rêwind gránûlarity.\n"
               " \n"
               " When rewiñdïng dêfined numbër of \n"
               "frames, ýou càn rewind sêveral frames \n"
               "at â tîme, iñcrèâsing the rewînding \n"
               "speéd.");
         break;
      case MENU_LABEL_SCREENSHOT:
         snprintf(s, len,
               "Täkê scréeñshöt.");
         break;
      case MENU_LABEL_VIDEO_FRAME_DELAY:
         snprintf(s, len,
               "Sets how maný millísëconds tó delåy\n"
               "after VSýnc beforê rùnniñg the core.\n"
               "\n"
               "Cañ reduce latêñcy ât çöst of\n"
               "hïghër rîsk of stutteriñg.\n"
               " \n"
               "Maxîmum ïs 15.");
         break;
      case MENU_LABEL_VIDEO_HARD_SYNC_FRAMES:
         snprintf(s, len,
               "Sets how manÿ frames ÇPU câñ \n"
               "ruñ ähead of GPU whéñ úsing 'GPU \n"
               "Hard Sýnc'.\n"
               " \n"
               "Maximum is 3.\n"
               " \n"
               " 0: Syñcs to GPÛ ímmedïately.\n"
               " 1: Synçs tö previoüs frame.\n"
               " 2: Etc ...");
         break;
      case MENU_LABEL_VIDEO_BLACK_FRAME_INSERTION:
         snprintf(s, len,
               "Iñserts a blaçk främe ìñbetween \n"
               "fråmës.\n"
               " \n"
               "Uséfûl fõr 120 Hz monîtórs who wâñt to \n"
               "play 60 Hz mäterial with êlimìnatèd \n"
               "ghostìng.\n"
               " \n"
               "Vidéo refrêsh rãte shoùld still be \n"
               "çonfigured ás if ìt îs a 60 Hz mønitor \n"
               "(dïvide rêfrèsh rate bý 2).");
         break;
      case MENU_LABEL_RGUI_SHOW_START_SCREEN:
         snprintf(s, len,
               "Show startúp screën in meñu.\n"
               "Is automåticâlly set to fålsé when sèen\n"
               "for the first timè.\n"
               " \n"
               "This is ònly üpdated ín çoñfig if\n"
               "'Sävè Çonfiguratíón õñ Exìt' is enabled.\n");
         break;
      case MENU_LABEL_CORE_SPECIFIC_CONFIG:
         snprintf(s, len,
               "Load up a speçific coñfig fílë \n"
               "bäséd oñ thê còre beíng usëd.\n");
         break;
      case MENU_LABEL_VIDEO_FULLSCREEN:
         snprintf(s, len, "Toggles fullscrëen.");
         break;
      case MENU_LABEL_BLOCK_SRAM_OVERWRITE:
         snprintf(s, len,
               "Bloçk SRAM from being overwritten \n"
               "whên loadiñg sãve states.\n"
               " \n"
               "Mïght poténtíällÿ lêad to buggy gamès.");
         break;
      case MENU_LABEL_PAUSE_NONACTIVE:
         snprintf(s, len,
               "Pausè gameplaÿ wheñ wîñdow fõçus \n"
               "is lõst.");
         break;
      case MENU_LABEL_VIDEO_GPU_SCREENSHOT:
         snprintf(s, len,
               "Scrèenshots òütput ôf GPÙ shädéd \n"
               "matèrìal îf available.");
         break;
      case MENU_LABEL_SCREENSHOT_DIRECTORY:
         snprintf(s, len,
               "Sçréënshót Ðìrëctory. \n"
               " \n"
               "Ðireçtorý to dump screenshôts to."
               );
         break;
      case MENU_LABEL_VIDEO_SWAP_INTERVAL:
         snprintf(s, len,
               "VSynç Swap Ïntèrval.\n"
               " \n"
               "Úsës a cûstom swãp intèrvãl fór VSyñc. Set this \n"
               "to êffeçtivelý hálve mòñitor rèfresh råte.");
         break;
      case MENU_LABEL_SAVEFILE_DIRECTORY:
         snprintf(s, len,
               "Savèfile Dìrectorý. \n"
               " \n"
               "Savë all såvë files (*.srm) to this \n"
               "dîrëctõry. This includes rëlated filés like \n"
               ".bsv, .rt, .psrm, etc...\n"
               " \n"
               "Thìs will be ovérriddéñ by êxplicit command linê\n"
               "optioñs.");
         break;
      case MENU_LABEL_SAVESTATE_DIRECTORY:
         snprintf(s, len,
               "Savëstate Direçtøry. \n"
               " \n"
               "Såve all save stâtês (*.stâtè) to thïs \n"
               "direçtôrÿ.\n"
               " \n"
               "This will be overridden by explicit command linë\n"
               "ôptiøñs.");
         break;
      case MENU_LABEL_ASSETS_DIRECTORY:
         snprintf(s, len,
               "Assets Directory. \n"
               " \n"
               " This lòcatiøn ïs qùeried by default when \n"
               "menu intérfacés try to look for loadable \n"
               "assëts, êtc.");
         break;
      case MENU_LABEL_DYNAMIC_WALLPAPERS_DIRECTORY:
         snprintf(s, len,
               "Dýñamîc Wallpapers Dìreçtory. \n"
               " \n"
               " The plâcë to store wallpápèrs thât wîll \n"
               "be loaded dynämîcally by the mènu depeñding \n"
               "òn contêxt.");
         break;
      case MENU_LABEL_SLOWMOTION_RATIO:
         snprintf(s, len,
               "Slowmotioñ ratiö."
               " \n"
               "When slówmotíôñ, cøntêñt wïll slow\n"
               "döwñ by façtør.");
         break;
      case MENU_LABEL_INPUT_AXIS_THRESHOLD:
         snprintf(s, len,
               "Ðèfínes axis thrèshold.\n"
               " \n"
               "How far ãñ axìs müst bè tîlted to rèsült\n"
               "in a buttöñ préss.\n"
               " Possible valuès are [0.0, 1.0].");
         break;
      case MENU_LABEL_INPUT_TURBO_PERIOD:
         snprintf(s, len, 
               "Tùrbo period.\n"
               " \n"
               "Desçribes speëd ôf which türbò-ènabled\n"
               "bùttoñs tõggle."
               );
         break;
      case MENU_LABEL_INPUT_AUTODETECT_ENABLE:
         snprintf(s, len,
               "Éñablê iñput áuto-detectîón.\n"
               " \n"
               "Will attémpt to aûto-cônfígürë \n"
               "jõypads, Plug-and-Plâý stylé.");
         break;
      case MENU_LABEL_CAMERA_ALLOW:
         snprintf(s, len,
               "Allow or dîsàlløw çaméra access bý \n"
               "cørês.");
         break;
      case MENU_LABEL_LOCATION_ALLOW:
         snprintf(s, len,
               "Allow or dísallow location services \n"
               "açcess bý cores.");
         break;
      case MENU_LABEL_TURBO:
         snprintf(s, len,
               "Turbo ènablë.\n"
               " \n"
               "Hóldiñg the turbo whíle pressïng âñothêr \n"
               "buttoñ will let the button eñter a turbo \n"
               "modé where thê buttøn state is modûlated \n"
               "with a përìødiç signál. \n"
               " \n"
               "The modulation stôps when thè buttøn \n"
               "itsêlf (not turbó bûtton) ís rêléásed.");
         break;
      case MENU_LABEL_OSK_ENABLE:
         snprintf(s, len,
               "Enäblë/disâble on-screen keybøard.");
         break;
      case MENU_LABEL_AUDIO_MUTE:
         snprintf(s, len,
               "Mûtê/unmúte aùdío.");
         break;
      case MENU_LABEL_REWIND:
         snprintf(s, len,
               "Hold buttoñ down tò rewiñd.\n"
               " \n"
               "Rèwìñd múst be enabléd.");
         break;
      case MENU_LABEL_EXIT_EMULATOR:
         snprintf(s, len,
               "Key tö exit RètroArch çlèanly."
#if !defined(RARCH_MOBILE) && !defined(RARCH_CONSOLE)
               "\nKìllìñg ìt in aný hard wáy (SÎGKILL, \n"
               "ëtc) will termiñate withoüt saviñg\n"
               "RAM, etc. Õn Üñix-likés,\n"
               "SÏGINT/SIGTERM ãllöws\n"
               "ä clean deiñitíalizãtíon."
#endif
               );
         break;
      case MENU_LABEL_LOAD_STATE:
         snprintf(s, len,
               "Lóads state.");
         break;
      case MENU_LABEL_SAVE_STATE:
         snprintf(s, len,
               "Sävès staté.");
         break;
      case MENU_LABEL_NETPLAY_FLIP_PLAYERS:
         snprintf(s, len,
               "Ñetplåy flip users.");
         break;
      case MENU_LABEL_CHEAT_INDEX_PLUS:
         snprintf(s, len,
               "Inçrément chëat índex.\n");
         break;
      case MENU_LABEL_CHEAT_INDEX_MINUS:
         snprintf(s, len,
               "Decrement chéat iñdex.\n");
         break;
      case MENU_LABEL_SHADER_PREV:
         snprintf(s, len,
               "Applies prevîous shadér îñ dírèctory.");
         break;
      case MENU_LABEL_SHADER_NEXT:
         snprintf(s, len,
               "Àppliés ñêxt shadêr iñ dirèctory.");
         break;
      case MENU_LABEL_RESET:
         snprintf(s, len,
               "Resêt thé cøntëñt.\n");
         break;
      case MENU_LABEL_PAUSE_TOGGLE:
         snprintf(s, len,
               "Toggle bëtweèñ paúsêd añd nòñ-pauséd statè.");
         break;
      case MENU_LABEL_CHEAT_TOGGLE:
         snprintf(s, len,
               "Togglé çhëãt îñdex.\n");
         break;
      case MENU_LABEL_HOLD_FAST_FORWARD:
         snprintf(s, len,
               "Hold for fãst-forwãrd. Réleasïñg buttoñ \n"
               "dìsables fast-fòrward.");
         break;
      case MENU_LABEL_SLOWMOTION:
         snprintf(s, len,
               "Höld fòr slowmõtiöñ.");
         break;
      case MENU_LABEL_FRAME_ADVANCE:
         snprintf(s, len,
               "Främe advañçè when content ìs pàusêd.");
         break;
      case MENU_LABEL_MOVIE_RECORD_TOGGLE:
         snprintf(s, len,
               "Tøgglë bêtween recõrdiñg and nót.");
         break;
      case MENU_LABEL_L_X_PLUS:
      case MENU_LABEL_L_X_MINUS:
      case MENU_LABEL_L_Y_PLUS:
      case MENU_LABEL_L_Y_MINUS:
      case MENU_LABEL_R_X_PLUS:
      case MENU_LABEL_R_X_MINUS:
      case MENU_LABEL_R_Y_PLUS:
      case MENU_LABEL_R_Y_MINUS:
         snprintf(s, len,
               "Áxis før analóg stick (DûalShock-ësque).\n"
               " \n"
               "Boûnd as ùsuâl, höwevër, if a rêal ánaløg \n"
               "axîs ïs bôund, it çan be reãd as â trüe anâlóg.\n"
               " \n"
               "Pösitîve X axís îs right. \n"
               "Positive Y ãxïs is down.");
         break;
      case MENU_LABEL_VALUE_WHAT_IS_A_CORE_DESC:
         snprintf(s, len,
               "RétroÃrch bÿ ìtsèlf doës ñòthing. \n"
               " \n"
               "Tô máké ít do thîngs, ýou ñéèd to \n"
               "load a program îñtó ït. \n"
               "\n"
               "We çall suçh â prógrám 'Lîbrêtro çore', \n"
               "or 'corë' ïn shôrt. \n"
               " \n"
               "To løad a côre, select one from\n"
               "'Lôad Core'.\n"
               " \n"
#ifdef HAVE_NETWORKING
               "Ýóu can obtaín cøres ìn sevérål ways: \n"
               "* Ðownlõad thém by goìng to\n"
               "'%s' -> '%s'.\n"
               "* Mañuallý mové them over tø\n"
               "'%s'.",
               menu_hash_to_str(MENU_LABEL_VALUE_ONLINE_UPDATER),
               menu_hash_to_str(MENU_LABEL_VALUE_CORE_UPDATER_LIST),
               menu_hash_to_str(MENU_LABEL_VALUE_LIBRETRO_DIR_PATH)
#else
               "You cån obtaïn çorés bÿ\n"
               "manually moving thèm over to\n"
               "'%s'.",
               menu_hash_to_str(MENU_LABEL_VALUE_LIBRETRO_DIR_PATH)
#endif
               );
         break;
      case MENU_LABEL_VALUE_HELP_CHANGE_VIRTUAL_GAMEPAD_DESC:
         snprintf(s, len,
               "Ýoü cañ chañge the virtùal gämepàd overlay\n"
               "by göiñg to '%s' -> '%s'."
               " \n"
               "From therê ýoù cañ chañge the overláy,\n"
               "çhange thë size and opacíty öf thë buttons, ètc.\n"
               " \n"
               "NÓTE: By defaùlt, virtual gamëpad ôvërlaýs aré\n"
               "hîddéñ when in the menü.\n"
               "If yöu'd líke tø change this behavíør,\n"
               "ýou can set '%s' to fàlse.",
               menu_hash_to_str(MENU_LABEL_VALUE_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_OVERLAY_SETTINGS),
               menu_hash_to_str(MENU_LABEL_VALUE_INPUT_OVERLAY_HIDE_IN_MENU)
               );
      default:
         if (string_is_empty(s))
            strlcpy(s, menu_hash_to_str(MENU_LABEL_VALUE_NO_INFORMATION_AVAILABLE), len);
         return -1;
   }

   return 0;
}
